Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

configure error at readline

Help
Sean
2012-03-01
2013-06-03
  • Sean
    Sean
    2012-03-01

    I'm compiling on a machine configured: Linux "server" 2.6.18-194.32.1.el5 #1 SMP Wed Jan 5 17:52:25 EST 2011 x86_64 x86_64 x86_64 GNU/Linux

    I'm trying to configure the latest source code using the command:
    ./configure -prefix=/home/user/bin/gdl
    and got the error:
    "checking for initscr in -lncurses… no
    checking for initscr in -lcurses… no
    checking for stifle_history in -lreadline… no

    Error! GNU readline was not found.
           Use -with-readlinedir=no to expicitely disable it
           Check the README or use configure -help for other libraries needed

           (suitable Debian/Ubuntu package: libreadline5-dev)"

    So, I added a configure command: -with-readlinedir=/usr/lib64/libreadline.so.5

    "./configure -prefix=/home/user/bin/gdl -with-readlinedir=/usr/lib64/libreadline.so.5"

    This gives the same error.  Any suggestions or previous threads I can be directed to?  I searched but couldn't
    find a thread exactly similar.  

    Thanks in advance,
    Sean

     
  • Hello,

    The -with-readlinedir=… option expects a prefix-like directory (/usr/local) or a library-containing directory (/usr/lib64).

    Please try:

    $ ./configure -with-readline=/usr/lib64

    or:

    $ export LDFLAGS=-L/usr/lib64
    $ ./configure …

    HTH,
    Sylwester

     
  • Sean
    Sean
    2012-03-02

    Sylwester ,

    I used your suggestions and it did not change the outcome.

    Sean

     
  • Please post here your config.log file (or just the relevant part of it).
    S.

     
  • Sean
    Sean
    2012-03-02

    Here is the full config.log.  I'm not sure which sections would be relevant.

    This file contains any messages produced by compilers while
    running configure, to aid debugging if configure makes a mistake.

    It was created by gdl configure 0.9.2, which was
    generated by GNU Autoconf 2.68.  Invocation command line was

      $ ./configure -prefix=/home/sbirdev/bin/gdl

    ## ------ ##
    ## Platform. ##
    ## ------ ##

    hostname =
    uname -m = x86_64
    uname -r = 2.6.18-194.32.1.el5
    uname -s = Linux
    uname -v = #1 SMP Wed Jan 5 17:52:25 EST 2011

    /usr/bin/uname -p = unknown
    /bin/uname -X     = unknown

    /bin/arch              = x86_64
    /usr/bin/arch -k       = unknown
    /usr/convex/getsysinfo = unknown
    /usr/bin/hostinfo      = unknown
    /bin/machine           = unknown
    /usr/bin/oslevel       = unknown
    /bin/universe          = unknown

    PATH: /usr/kerberos/bin
    PATH: /usr/local/bin
    PATH: /bin
    PATH: /usr/bin
    PATH: /home/sbirdev/bin

    ## ------- ##
    ## Core tests. ##
    ## ------- ##

    configure:2502: checking autoconf version
    configure:2505: result: >=2.62
    configure:2552: checking for a BSD-compatible install
    configure:2620: result: /usr/bin/install -c
    configure:2631: checking whether build environment is sane
    configure:2681: result: yes
    configure:2822: checking for a thread-safe mkdir -p
    configure:2861: result: /bin/mkdir -p
    configure:2874: checking for gawk
    configure:2890: found /bin/gawk
    configure:2901: result: gawk
    configure:2912: checking whether make sets $(MAKE)
    configure:2934: result: yes
    configure:3080: checking for g++
    configure:3096: found /usr/bin/g++
    configure:3107: result: g++
    configure:3134: checking for C++ compiler version
    configure:3143: g++ -version >&5
    g++ (GCC) 4.1.2 20080704 (Red Hat 4.1.2-51)
    Copyright (C) 2006 Free Software Foundation, Inc.
    This is free software; see the source for copying conditions.  There is NO
    warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

    configure:3154: $? = 0
    configure:3143: g++ -v >&5
    Using built-in specs.
    Target: x86_64-redhat-linux
    Configured with: ../configure -prefix=/usr -mandir=/usr/share/man -infodir=/usr/share/info -enable-shared -enable-threads=posix -enable-checking=release -with-system-zlib -enable-__cxa_atexit -disable-libunwind-exceptions -enable-libgcj-multifile -enable-languages=c,c++,objc,obj-c++,java,fortran,ada -enable-java-awt=gtk -disable-dssi -disable-plugin -with-java-home=/usr/lib/jvm/java-1.4.2-gcj-1.4.2.0/jre -with-cpu=generic -host=x86_64-redhat-linux
    Thread model: posix
    gcc version 4.1.2 20080704 (Red Hat 4.1.2-51)
    configure:3154: $? = 0
    configure:3143: g++ -V >&5
    g++: '-V' option must have argument
    configure:3154: $? = 1
    configure:3143: g++ -qversion >&5
    g++: unrecognized option '-qversion'
    g++: no input files
    configure:3154: $? = 1
    configure:3174: checking whether the C++ compiler works
    configure:3196: g++    conftest.cpp  >&5
    configure:3200: $? = 0
    configure:3248: result: yes
    configure:3251: checking for C++ compiler default output file name
    configure:3253: result: a.out
    configure:3259: checking for suffix of executables
    configure:3266: g++ -o conftest    conftest.cpp  >&5
    configure:3270: $? = 0
    configure:3292: result:
    configure:3314: checking whether we are cross compiling
    configure:3322: g++ -o conftest    conftest.cpp  >&5
    configure:3326: $? = 0
    configure:3333: ./conftest
    configure:3337: $? = 0
    configure:3352: result: no
    configure:3357: checking for suffix of object files
    configure:3379: g++ -c   conftest.cpp >&5
    configure:3383: $? = 0
    configure:3404: result: o
    configure:3408: checking whether we are using the GNU C++ compiler
    configure:3427: g++ -c   conftest.cpp >&5
    configure:3427: $? = 0
    configure:3436: result: yes
    configure:3445: checking whether g++ accepts -g
    configure:3465: g++ -c -g  conftest.cpp >&5
    configure:3465: $? = 0
    configure:3506: result: yes
    configure:3540: checking for style of include used by make
    configure:3568: result: GNU
    configure:3593: checking dependency style of g++
    configure:3703: result: gcc3
    configure:3761: checking for ranlib
    configure:3777: found /usr/bin/ranlib
    configure:3788: result: ranlib
    configure:3839: checking build system type
    configure:3853: result: x86_64-unknown-linux-gnu
    configure:3873: checking host system type
    configure:3886: result: x86_64-unknown-linux-gnu
    configure:3927: checking how to print strings
    configure:3954: result: printf
    configure:4023: checking for gcc
    configure:4039: found /usr/bin/gcc
    configure:4050: result: gcc
    configure:4279: checking for C compiler version
    configure:4288: gcc -version >&5
    gcc (GCC) 4.1.2 20080704 (Red Hat 4.1.2-51)
    Copyright (C) 2006 Free Software Foundation, Inc.
    This is free software; see the source for copying conditions.  There is NO
    warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

    configure:4299: $? = 0
    configure:4288: gcc -v >&5
    Using built-in specs.
    Target: x86_64-redhat-linux
    Configured with: ../configure -prefix=/usr -mandir=/usr/share/man -infodir=/usr/share/info -enable-shared -enable-threads=posix -enable-checking=release -with-system-zlib -enable-__cxa_atexit -disable-libunwind-exceptions -enable-libgcj-multifile -enable-languages=c,c++,objc,obj-c++,java,fortran,ada -enable-java-awt=gtk -disable-dssi -disable-plugin -with-java-home=/usr/lib/jvm/java-1.4.2-gcj-1.4.2.0/jre -with-cpu=generic -host=x86_64-redhat-linux
    Thread model: posix
    gcc version 4.1.2 20080704 (Red Hat 4.1.2-51)
    configure:4299: $? = 0
    configure:4288: gcc -V >&5
    gcc: '-V' option must have argument
    configure:4299: $? = 1
    configure:4288: gcc -qversion >&5
    gcc: unrecognized option '-qversion'
    gcc: no input files
    configure:4299: $? = 1
    configure:4303: checking whether we are using the GNU C compiler
    configure:4322: gcc -c   conftest.c >&5
    configure:4322: $? = 0
    configure:4331: result: yes
    configure:4340: checking whether gcc accepts -g
    configure:4360: gcc -c -g  conftest.c >&5
    configure:4360: $? = 0
    configure:4401: result: yes
    configure:4418: checking for gcc option to accept ISO C89
    configure:4482: gcc  -c -g -O3  conftest.c >&5
    configure:4482: $? = 0
    configure:4495: result: none needed
    configure:4517: checking dependency style of gcc
    configure:4627: result: gcc3
    configure:4642: checking for a sed that does not truncate output
    configure:4706: result: /bin/sed
    configure:4724: checking for grep that handles long lines and -e
    configure:4782: result: /bin/grep
    configure:4787: checking for egrep
    configure:4849: result: /bin/grep -E
    configure:4854: checking for fgrep
    configure:4916: result: /bin/grep -F
    configure:4951: checking for ld used by gcc
    configure:5018: result: /usr/bin/ld
    configure:5025: checking if the linker (/usr/bin/ld) is GNU ld
    configure:5040: result: yes
    configure:5052: checking for BSD- or MS-compatible name lister (nm)
    configure:5101: result: /usr/bin/nm -B
    configure:5231: checking the name lister (/usr/bin/nm -B) interface
    configure:5238: g++ -c -g -O3  conftest.cpp >&5
    configure:5241: /usr/bin/nm -B "conftest.o"
    configure:5244: output
    0000000000000000 B some_variable
    configure:5251: result: BSD nm
    configure:5254: checking whether ln -s works
    configure:5258: result: yes
    configure:5266: checking the maximum length of command line arguments
    configure:5391: result: 98304
    configure:5408: checking whether the shell understands some XSI constructs
    configure:5418: result: yes
    configure:5422: checking whether the shell understands "+="
    configure:5428: result: yes
    configure:5463: checking how to convert x86_64-unknown-linux-gnu file names to x86_64-unknown-linux-gnu format
    configure:5503: result: func_convert_file_noop
    configure:5510: checking how to convert x86_64-unknown-linux-gnu file names to toolchain format
    configure:5530: result: func_convert_file_noop
    configure:5537: checking for /usr/bin/ld option to reload object files
    configure:5544: result: -r
    configure:5618: checking for objdump
    configure:5634: found /usr/bin/objdump
    configure:5645: result: objdump
    configure:5677: checking how to recognize dependent libraries
    configure:5879: result: pass_all
    configure:5964: checking for dlltool
    configure:5994: result: no
    configure:6024: checking how to associate runtime and link libraries
    configure:6051: result: printf %s\n
    configure:6112: checking for ar
    configure:6128: found /usr/bin/ar
    configure:6139: result: ar
    configure:6176: checking for archiver @FILE support
    configure:6193: g++ -c -g -O3  conftest.cpp >&5
    configure:6193: $? = 0
    configure:6196: ar cru libconftest.a @conftest.lst >&5
    configure:6199: $? = 0
    configure:6204: ar cru libconftest.a @conftest.lst >&5
    ar: conftest.o: No such file or directory
    configure:6207: $? = 1
    configure:6219: result: @
    configure:6277: checking for strip
    configure:6293: found /usr/bin/strip
    configure:6304: result: strip
    configure:6376: checking for ranlib
    configure:6403: result: ranlib
    configure:6505: checking command to parse /usr/bin/nm -B output from gcc object
    configure:6624: g++ -c -g -O3  conftest.cpp >&5
    configure:6627: $? = 0
    configure:6631: /usr/bin/nm -B conftest.o \| sed -n -e 's/^.*\(*\)*\(*\)$/\1 \2 \2/p' | sed '/ __gnu_lto/d' \> conftest.nm
    configure:6634: $? = 0
    configure:6700: g++ -o conftest -g -O3   conftest.cpp conftstm.o >&5
    configure:6703: $? = 0
    configure:6741: result: ok
    configure:6778: checking for sysroot
    configure:6808: result: no
    configure:6886: g++ -c -g -O3  conftest.cpp >&5
    configure:6889: $? = 0
    configure:7052: checking for mt
    configure:7082: result: no
    configure:7102: checking if : is a manifest tool
    configure:7108: : '-?'
    configure:7116: result: no
    configure:7748: checking how to run the C preprocessor
    configure:7779: gcc -E  conftest.c
    configure:7779: $? = 0
    configure:7793: gcc -E  conftest.c
    conftest.c:11:28: error: ac_nonexistent.h: No such file or directory
    configure:7793: $? = 1
    configure: failed program was:
    | /* confdefs.h */
    | #define PACKAGE_NAME "gdl"
    | #define PACKAGE_TARNAME "gdl"
    | #define PACKAGE_VERSION "0.9.2"
    | #define PACKAGE_STRING "gdl 0.9.2"
    | #define PACKAGE_BUGREPORT ""
    | #define PACKAGE_URL ""
    | #define PACKAGE "gdl"
    | #define VERSION "0.9.2"
    | /* end confdefs.h.  */
    | #include <ac_nonexistent.h>
    configure:7818: result: gcc -E
    configure:7838: gcc -E  conftest.c
    configure:7838: $? = 0
    configure:7852: gcc -E  conftest.c
    conftest.c:11:28: error: ac_nonexistent.h: No such file or directory
    configure:7852: $? = 1
    configure: failed program was:
    | /* confdefs.h */
    | #define PACKAGE_NAME "gdl"
    | #define PACKAGE_TARNAME "gdl"
    | #define PACKAGE_VERSION "0.9.2"
    | #define PACKAGE_STRING "gdl 0.9.2"
    | #define PACKAGE_BUGREPORT ""
    | #define PACKAGE_URL ""
    | #define PACKAGE "gdl"
    | #define VERSION "0.9.2"
    | /* end confdefs.h.  */
    | #include <ac_nonexistent.h>
    configure:7881: checking for ANSI C header files
    configure:7901: gcc -c -g -O3  conftest.c >&5
    configure:7901: $? = 0
    configure:7974: gcc -o conftest -g -O3   conftest.c  >&5
    configure:7974: $? = 0
    configure:7974: ./conftest
    configure:7974: $? = 0
    configure:7985: result: yes
    configure:7998: checking for sys/types.h
    configure:7998: gcc -c -g -O3  conftest.c >&5
    configure:7998: $? = 0
    configure:7998: result: yes
    configure:7998: checking for sys/stat.h
    configure:7998: gcc -c -g -O3  conftest.c >&5
    configure:7998: $? = 0
    configure:7998: result: yes
    configure:7998: checking for stdlib.h
    configure:7998: gcc -c -g -O3  conftest.c >&5
    configure:7998: $? = 0
    configure:7998: result: yes
    configure:7998: checking for string.h
    configure:7998: gcc -c -g -O3  conftest.c >&5
    configure:7998: $? = 0
    configure:7998: result: yes
    configure:7998: checking for memory.h
    configure:7998: gcc -c -g -O3  conftest.c >&5
    configure:7998: $? = 0
    configure:7998: result: yes
    configure:7998: checking for strings.h
    configure:7998: gcc -c -g -O3  conftest.c >&5
    configure:7998: $? = 0
    configure:7998: result: yes
    configure:7998: checking for inttypes.h
    configure:7998: gcc -c -g -O3  conftest.c >&5
    configure:7998: $? = 0
    configure:7998: result: yes
    configure:7998: checking for stdint.h
    configure:7998: gcc -c -g -O3  conftest.c >&5
    configure:7998: $? = 0
    configure:7998: result: yes
    configure:7998: checking for unistd.h
    configure:7998: gcc -c -g -O3  conftest.c >&5
    configure:7998: $? = 0
    configure:7998: result: yes
    configure:8012: checking for dlfcn.h
    configure:8012: gcc -c -g -O3  conftest.c >&5
    configure:8012: $? = 0
    configure:8012: result: yes
    configure:8209: checking for objdir
    configure:8224: result: .libs
    configure:8491: checking if gcc supports -fno-rtti -fno-exceptions
    configure:8509: gcc -c -g -O3  -fno-rtti -fno-exceptions conftest.c >&5
    cc1: warning: command line option "-fno-rtti" is valid for C++/ObjC++ but not for C
    configure:8513: $? = 0
    configure:8526: result: no
    configure:8836: checking for gcc option to produce PIC
    configure:8843: result: -fPIC -DPIC
    configure:8851: checking if gcc PIC flag -fPIC -DPIC works
    configure:8869: gcc -c -g -O3  -fPIC -DPIC -DPIC conftest.c >&5
    configure:8873: $? = 0
    configure:8886: result: yes
    configure:8915: checking if gcc static flag -static works
    configure:8943: result: yes
    configure:8958: checking if gcc supports -c -o file.o
    configure:8979: gcc -c -g -O3  -o out/conftest2.o conftest.c >&5
    configure:8983: $? = 0
    configure:9005: result: yes
    configure:9013: checking if gcc supports -c -o file.o
    configure:9060: result: yes
    configure:9093: checking whether the gcc linker (/usr/bin/ld -m elf_x86_64) supports shared libraries
    configure:10255: result: yes
    configure:10292: checking whether -lc should be explicitly linked in
    configure:10300: gcc -c -g -O3  conftest.c >&5
    configure:10303: $? = 0
    configure:10318: gcc -shared  -fPIC -DPIC conftest.o  -v -Wl,-soname -Wl,conftest -o conftest 2\&gt;\&amp;1 \| /bin/grep  -lc  \&gt;/dev/null 2\&gt;\&amp;1
    configure:10321: $? = 0
    configure:10335: result: no
    configure:10500: checking dynamic linker characteristics
    configure:11015: gcc -o conftest -g -O3   -Wl,-rpath -Wl,/foo conftest.c  >&5
    configure:11015: $? = 0
    configure:11249: result: GNU/Linux ld.so
    configure:11356: checking how to hardcode library paths into programs
    configure:11381: result: immediate
    configure:11921: checking whether stripping libraries is possible
    configure:11926: result: yes
    configure:11961: checking if libtool supports shared libraries
    configure:11963: result: yes
    configure:11966: checking whether to build shared libraries
    configure:11987: result: yes
    configure:11990: checking whether to build static libraries
    configure:11994: result: yes
    configure:12017: checking how to run the C++ preprocessor
    configure:12044: g++ -E  conftest.cpp
    configure:12044: $? = 0
    configure:12058: g++ -E  conftest.cpp
    conftest.cpp:23:28: error: ac_nonexistent.h: No such file or directory
    configure:12058: $? = 1
    configure: failed program was:
    | /* confdefs.h */
    | #define PACKAGE_NAME "gdl"
    | #define PACKAGE_TARNAME "gdl"
    | #define PACKAGE_VERSION "0.9.2"
    | #define PACKAGE_STRING "gdl 0.9.2"
    | #define PACKAGE_BUGREPORT ""
    | #define PACKAGE_URL ""
    | #define PACKAGE "gdl"
    | #define VERSION "0.9.2"
    | #define STDC_HEADERS 1
    | #define HAVE_SYS_TYPES_H 1
    | #define HAVE_SYS_STAT_H 1
    | #define HAVE_STDLIB_H 1
    | #define HAVE_STRING_H 1
    | #define HAVE_MEMORY_H 1
    | #define HAVE_STRINGS_H 1
    | #define HAVE_INTTYPES_H 1
    | #define HAVE_STDINT_H 1
    | #define HAVE_UNISTD_H 1
    | #define HAVE_DLFCN_H 1
    | #define LT_OBJDIR ".libs/"
    | /* end confdefs.h.  */
    | #include <ac_nonexistent.h>
    configure:12083: result: g++ -E
    configure:12103: g++ -E  conftest.cpp
    configure:12103: $? = 0
    configure:12117: g++ -E  conftest.cpp
    conftest.cpp:23:28: error: ac_nonexistent.h: No such file or directory
    configure:12117: $? = 1
    configure: failed program was:
    | /* confdefs.h */
    | #define PACKAGE_NAME "gdl"
    | #define PACKAGE_TARNAME "gdl"
    | #define PACKAGE_VERSION "0.9.2"
    | #define PACKAGE_STRING "gdl 0.9.2"
    | #define PACKAGE_BUGREPORT ""
    | #define PACKAGE_URL ""
    | #define PACKAGE "gdl"
    | #define VERSION "0.9.2"
    | #define STDC_HEADERS 1
    | #define HAVE_SYS_TYPES_H 1
    | #define HAVE_SYS_STAT_H 1
    | #define HAVE_STDLIB_H 1
    | #define HAVE_STRING_H 1
    | #define HAVE_MEMORY_H 1
    | #define HAVE_STRINGS_H 1
    | #define HAVE_INTTYPES_H 1
    | #define HAVE_STDINT_H 1
    | #define HAVE_UNISTD_H 1
    | #define HAVE_DLFCN_H 1
    | #define LT_OBJDIR ".libs/"
    | /* end confdefs.h.  */
    | #include <ac_nonexistent.h>
    configure:12287: checking for ld used by g++
    configure:12354: result: /usr/bin/ld -m elf_x86_64
    configure:12361: checking if the linker (/usr/bin/ld -m elf_x86_64) is GNU ld
    configure:12376: result: yes
    configure:12431: checking whether the g++ linker (/usr/bin/ld -m elf_x86_64) supports shared libraries
    configure:13435: result: yes
    configure:13470: g++ -c -g -O3  conftest.cpp >&5
    configure:13473: $? = 0
    configure:13993: checking for g++ option to produce PIC
    configure:14000: result: -fPIC -DPIC
    configure:14008: checking if g++ PIC flag -fPIC -DPIC works
    configure:14026: g++ -c -g -O3  -fPIC -DPIC -DPIC conftest.cpp >&5
    configure:14030: $? = 0
    configure:14043: result: yes
    configure:14066: checking if g++ static flag -static works
    configure:14094: result: yes
    configure:14106: checking if g++ supports -c -o file.o
    configure:14127: g++ -c -g -O3  -o out/conftest2.o conftest.cpp >&5
    configure:14131: $? = 0
    configure:14153: result: yes
    configure:14158: checking if g++ supports -c -o file.o
    configure:14205: result: yes
    configure:14235: checking whether the g++ linker (/usr/bin/ld -m elf_x86_64) supports shared libraries
    configure:14272: result: yes
    configure:14415: checking dynamic linker characteristics
    configure:15098: result: GNU/Linux ld.so
    configure:15151: checking how to hardcode library paths into programs
    configure:15176: result: immediate
    configure:15244: checking for 64-bit OS
    configure:15254: gcc -o conftest -g -O3   conftest.c  >&5
    configure:15254: $? = 0
    configure:15254: ./conftest
    configure:15254: $? = 0
    configure:15263: result: yes
    configure:15278: checking for library containing dlopen
    configure:15309: g++ -o conftest -g -O3   conftest.cpp  >&5
    /tmp/ccA3iwEr.o: In function `main':
    /home/sbirdev/installs/gdl-0.9.2/conftest.cpp:35: undefined reference to `dlopen'
    collect2: ld returned 1 exit status
    configure:15309: $? = 1
    configure: failed program was:
    | /* confdefs.h */
    | #define PACKAGE_NAME "gdl"
    | #define PACKAGE_TARNAME "gdl"
    | #define PACKAGE_VERSION "0.9.2"
    | #define PACKAGE_STRING "gdl 0.9.2"
    | #define PACKAGE_BUGREPORT ""
    | #define PACKAGE_URL ""
    | #define PACKAGE "gdl"
    | #define VERSION "0.9.2"
    | #define STDC_HEADERS 1
    | #define HAVE_SYS_TYPES_H 1
    | #define HAVE_SYS_STAT_H 1
    | #define HAVE_STDLIB_H 1
    | #define HAVE_STRING_H 1
    | #define HAVE_MEMORY_H 1
    | #define HAVE_STRINGS_H 1
    | #define HAVE_INTTYPES_H 1
    | #define HAVE_STDINT_H 1
    | #define HAVE_UNISTD_H 1
    | #define HAVE_DLFCN_H 1
    | #define LT_OBJDIR ".libs/"
    | #define HAVE_64BIT_OS 1
    | /* end confdefs.h.  */
    |
    | /* Override any GCC internal prototype to avoid an error.
    |    Use char because int might match the return type of a GCC
    |    builtin and then its argument prototype would still apply.  */
    | #ifdef __cplusplus
    | extern "C"
    | #endif
    | char dlopen ();
    | int
    | main ()
    | {
    | return dlopen ();
    |   ;
    |   return 0;
    | }
    configure:15309: g++ -o conftest -g -O3   conftest.cpp -ldl   >&5
    configure:15309: $? = 0
    configure:15326: result: -ldl
    configure:15364: checking for malloc_zone_statistics
    configure:15364: g++ -o conftest -g -O3   conftest.cpp -ldl  -ldl >&5
    /tmp/ccwGm8VU.o: In function `main':
    /home/sbirdev/installs/gdl-0.9.2/conftest.cpp:58: undefined reference to `malloc_zone_statistics'
    collect2: ld returned 1 exit status
    configure:15364: $? = 1
    configure: failed program was:
    | /* confdefs.h */
    | #define PACKAGE_NAME "gdl"
    | #define PACKAGE_TARNAME "gdl"
    | #define PACKAGE_VERSION "0.9.2"
    | #define PACKAGE_STRING "gdl 0.9.2"
    | #define PACKAGE_BUGREPORT ""
    | #define PACKAGE_URL ""
    | #define PACKAGE "gdl"
    | #define VERSION "0.9.2"
    | #define STDC_HEADERS 1
    | #define HAVE_SYS_TYPES_H 1
    | #define HAVE_SYS_STAT_H 1
    | #define HAVE_STDLIB_H 1
    | #define HAVE_STRING_H 1
    | #define HAVE_MEMORY_H 1
    | #define HAVE_STRINGS_H 1
    | #define HAVE_INTTYPES_H 1
    | #define HAVE_STDINT_H 1
    | #define HAVE_UNISTD_H 1
    | #define HAVE_DLFCN_H 1
    | #define LT_OBJDIR ".libs/"
    | #define HAVE_64BIT_OS 1
    | /* end confdefs.h.  */
    | /* Define malloc_zone_statistics to an innocuous variant, in case <limits.h> declares malloc_zone_statistics.
    |    For example, HP-UX 11i <limits.h> declares gettimeofday.  */
    | #define malloc_zone_statistics innocuous_malloc_zone_statistics
    |
    | /* System header to define __stub macros and hopefully few prototypes,
    |     which can conflict with char malloc_zone_statistics (); below.
    |     Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
    |     <limits.h> exists even on freestanding compilers.  */
    |
    | #ifdef __STDC__
    | # include <limits.h>
    | #else
    | # include <assert.h>
    | #endif
    |
    | #undef malloc_zone_statistics
    |
    | /* Override any GCC internal prototype to avoid an error.
    |    Use char because int might match the return type of a GCC
    |    builtin and then its argument prototype would still apply.  */
    | #ifdef __cplusplus
    | extern "C"
    | #endif
    | char malloc_zone_statistics ();
    | /* The GNU C library defines this for functions which it implements
    |     to always fail with ENOSYS.  Some functions are actually named
    |     something starting with __ and the normal name is an alias.  */
    | #if defined __stub_malloc_zone_statistics || defined __stub___malloc_zone_statistics
    | choke me
    | #endif
    |
    | int
    | main ()
    | {
    | return malloc_zone_statistics ();
    |   ;
    |   return 0;
    | }
    configure:15364: result: no
    configure:15364: checking for sbrk
    configure:15364: g++ -o conftest -g -O3   conftest.cpp -ldl  -ldl >&5
    configure:15364: $? = 0
    configure:15364: result: yes
    configure:15364: checking for mallinfo
    configure:15364: g++ -o conftest -g -O3   conftest.cpp -ldl  -ldl >&5
    configure:15364: $? = 0
    configure:15364: result: yes
    configure:15377: checking malloc.h usability
    configure:15377: g++ -c -g -O3  conftest.cpp >&5
    configure:15377: $? = 0
    configure:15377: result: yes
    configure:15377: checking malloc.h presence
    configure:15377: g++ -E  conftest.cpp
    configure:15377: $? = 0
    configure:15377: result: yes
    configure:15377: checking for malloc.h
    configure:15377: result: yes
    configure:15377: checking malloc/malloc.h usability
    configure:15377: g++ -c -g -O3  conftest.cpp >&5
    conftest.cpp:60:27: error: malloc/malloc.h: No such file or directory
    configure:15377: $? = 1
    configure: failed program was:
    | /* confdefs.h */
    | #define PACKAGE_NAME "gdl"
    | #define PACKAGE_TARNAME "gdl"
    | #define PACKAGE_VERSION "0.9.2"
    | #define PACKAGE_STRING "gdl 0.9.2"
    | #define PACKAGE_BUGREPORT ""
    | #define PACKAGE_URL ""
    | #define PACKAGE "gdl"
    | #define VERSION "0.9.2"
    | #define STDC_HEADERS 1
    | #define HAVE_SYS_TYPES_H 1
    | #define HAVE_SYS_STAT_H 1
    | #define HAVE_STDLIB_H 1
    | #define HAVE_STRING_H 1
    | #define HAVE_MEMORY_H 1
    | #define HAVE_STRINGS_H 1
    | #define HAVE_INTTYPES_H 1
    | #define HAVE_STDINT_H 1
    | #define HAVE_UNISTD_H 1
    | #define HAVE_DLFCN_H 1
    | #define LT_OBJDIR ".libs/"
    | #define HAVE_64BIT_OS 1
    | #define HAVE_SBRK 1
    | #define HAVE_MALLINFO 1
    | #define HAVE_MALLOC_H 1
    | /* end confdefs.h.  */
    | #include <stdio.h>
    | #ifdef HAVE_SYS_TYPES_H
    | # include <sys/types.h>
    | #endif
    | #ifdef HAVE_SYS_STAT_H
    | # include <sys/stat.h>
    | #endif
    | #ifdef STDC_HEADERS
    | # include <stdlib.h>
    | # include <stddef.h>
    | #else
    | # ifdef HAVE_STDLIB_H
    | #  include <stdlib.h>
    | # endif
    | #endif
    | #ifdef HAVE_STRING_H
    | # if !defined STDC_HEADERS && defined HAVE_MEMORY_H
    | #  include <memory.h>
    | # endif
    | # include <string.h>
    | #endif
    | #ifdef HAVE_STRINGS_H
    | # include <strings.h>
    | #endif
    | #ifdef HAVE_INTTYPES_H
    | # include <inttypes.h>
    | #endif
    | #ifdef HAVE_STDINT_H
    | # include <stdint.h>
    | #endif
    | #ifdef HAVE_UNISTD_H
    | # include <unistd.h>
    | #endif
    | #include <malloc/malloc.h>
    configure:15377: result: no
    configure:15377: checking malloc/malloc.h presence
    configure:15377: g++ -E  conftest.cpp
    conftest.cpp:27:27: error: malloc/malloc.h: No such file or directory
    configure:15377: $? = 1
    configure: failed program was:
    | /* confdefs.h */
    | #define PACKAGE_NAME "gdl"
    | #define PACKAGE_TARNAME "gdl"
    | #define PACKAGE_VERSION "0.9.2"
    | #define PACKAGE_STRING "gdl 0.9.2"
    | #define PACKAGE_BUGREPORT ""
    | #define PACKAGE_URL ""
    | #define PACKAGE "gdl"
    | #define VERSION "0.9.2"
    | #define STDC_HEADERS 1
    | #define HAVE_SYS_TYPES_H 1
    | #define HAVE_SYS_STAT_H 1
    | #define HAVE_STDLIB_H 1
    | #define HAVE_STRING_H 1
    | #define HAVE_MEMORY_H 1
    | #define HAVE_STRINGS_H 1
    | #define HAVE_INTTYPES_H 1
    | #define HAVE_STDINT_H 1
    | #define HAVE_UNISTD_H 1
    | #define HAVE_DLFCN_H 1
    | #define LT_OBJDIR ".libs/"
    | #define HAVE_64BIT_OS 1
    | #define HAVE_SBRK 1
    | #define HAVE_MALLINFO 1
    | #define HAVE_MALLOC_H 1
    | /* end confdefs.h.  */
    | #include <malloc/malloc.h>
    configure:15377: result: no
    configure:15377: checking for malloc/malloc.h
    configure:15377: result: no
    configure:15390: checking locale.h usability
    configure:15390: g++ -c -g -O3  conftest.cpp >&5
    configure:15390: $? = 0
    configure:15390: result: yes
    configure:15390: checking locale.h presence
    configure:15390: g++ -E  conftest.cpp
    configure:15390: $? = 0
    configure:15390: result: yes
    configure:15390: checking for locale.h
    configure:15390: result: yes
    configure:15403: checking for nexttoward
    configure:15403: g++ -o conftest -g -O3   conftest.cpp -ldl  -ldl >&5
    configure:15403: $? = 0
    configure:15403: result: yes
    configure:15415: checking ext/stdio_filebuf.h usability
    configure:15415: g++ -c -g -O3  conftest.cpp >&5
    configure:15415: $? = 0
    configure:15415: result: yes
    configure:15415: checking ext/stdio_filebuf.h presence
    configure:15415: g++ -E  conftest.cpp
    configure:15415: $? = 0
    configure:15415: result: yes
    configure:15415: checking for ext/stdio_filebuf.h
    configure:15415: result: yes
    configure:15436: checking for initscr in -lncurses
    configure:15461: g++ -o conftest -g -O3   conftest.cpp -lncurses  -ldl  -ldl >&5
    /usr/bin/ld: cannot find -lncurses
    collect2: ld returned 1 exit status
    configure:15461: $? = 1
    configure: failed program was:
    | /* confdefs.h */
    | #define PACKAGE_NAME "gdl"
    | #define PACKAGE_TARNAME "gdl"
    | #define PACKAGE_VERSION "0.9.2"
    | #define PACKAGE_STRING "gdl 0.9.2"
    | #define PACKAGE_BUGREPORT ""
    | #define PACKAGE_URL ""
    | #define PACKAGE "gdl"
    | #define VERSION "0.9.2"
    | #define STDC_HEADERS 1
    | #define HAVE_SYS_TYPES_H 1
    | #define HAVE_SYS_STAT_H 1
    | #define HAVE_STDLIB_H 1
    | #define HAVE_STRING_H 1
    | #define HAVE_MEMORY_H 1
    | #define HAVE_STRINGS_H 1
    | #define HAVE_INTTYPES_H 1
    | #define HAVE_STDINT_H 1
    | #define HAVE_UNISTD_H 1
    | #define HAVE_DLFCN_H 1
    | #define LT_OBJDIR ".libs/"
    | #define HAVE_64BIT_OS 1
    | #define HAVE_SBRK 1
    | #define HAVE_MALLINFO 1
    | #define HAVE_MALLOC_H 1
    | #define HAVE_LOCALE_H 1
    | #define HAVE_NEXTTOWARD 1
    | #define HAVE_EXT_STDIO_FILEBUF_H 1
    | /* end confdefs.h.  */
    |
    | /* Override any GCC internal prototype to avoid an error.
    |    Use char because int might match the return type of a GCC
    |    builtin and then its argument prototype would still apply.  */
    | #ifdef __cplusplus
    | extern "C"
    | #endif
    | char initscr ();
    | int
    | main ()
    | {
    | return initscr ();
    |   ;
    |   return 0;
    | }
    configure:15470: result: no
    configure:15478: checking for initscr in -lcurses
    configure:15503: g++ -o conftest -g -O3   conftest.cpp -lcurses  -ldl  -ldl >&5
    /usr/bin/ld: cannot find -lcurses
    collect2: ld returned 1 exit status
    configure:15503: $? = 1
    configure: failed program was:
    | /* confdefs.h */
    | #define PACKAGE_NAME "gdl"
    | #define PACKAGE_TARNAME "gdl"
    | #define PACKAGE_VERSION "0.9.2"
    | #define PACKAGE_STRING "gdl 0.9.2"
    | #define PACKAGE_BUGREPORT ""
    | #define PACKAGE_URL ""
    | #define PACKAGE "gdl"
    | #define VERSION "0.9.2"
    | #define STDC_HEADERS 1
    | #define HAVE_SYS_TYPES_H 1
    | #define HAVE_SYS_STAT_H 1
    | #define HAVE_STDLIB_H 1
    | #define HAVE_STRING_H 1
    | #define HAVE_MEMORY_H 1
    | #define HAVE_STRINGS_H 1
    | #define HAVE_INTTYPES_H 1
    | #define HAVE_STDINT_H 1
    | #define HAVE_UNISTD_H 1
    | #define HAVE_DLFCN_H 1
    | #define LT_OBJDIR ".libs/"
    | #define HAVE_64BIT_OS 1
    | #define HAVE_SBRK 1
    | #define HAVE_MALLINFO 1
    | #define HAVE_MALLOC_H 1
    | #define HAVE_LOCALE_H 1
    | #define HAVE_NEXTTOWARD 1
    | #define HAVE_EXT_STDIO_FILEBUF_H 1
    | /* end confdefs.h.  */
    |
    | /* Override any GCC internal prototype to avoid an error.
    |    Use char because int might match the return type of a GCC
    |    builtin and then its argument prototype would still apply.  */
    | #ifdef __cplusplus
    | extern "C"
    | #endif
    | char initscr ();
    | int
    | main ()
    | {
    | return initscr ();
    |   ;
    |   return 0;
    | }
    configure:15512: result: no
    configure:15543: checking for stifle_history in -lreadline
    configure:15568: g++ -o conftest -g -O3   conftest.cpp -lreadline  -ldl  -ldl -lreadline >&5
    /usr/lib/gcc/x86_64-redhat-linux/4.1.2/../../../../lib64/libreadline.so: undefined reference to `PC'
    /usr/lib/gcc/x86_64-redhat-linux/4.1.2/../../../../lib64/libreadline.so: undefined reference to `tgetflag'
    /usr/lib/gcc/x86_64-redhat-linux/4.1.2/../../../../lib64/libreadline.so: undefined reference to `tgetent'
    /usr/lib/gcc/x86_64-redhat-linux/4.1.2/../../../../lib64/libreadline.so: undefined reference to `UP'
    /usr/lib/gcc/x86_64-redhat-linux/4.1.2/../../../../lib64/libreadline.so: undefined reference to `tputs'
    /usr/lib/gcc/x86_64-redhat-linux/4.1.2/../../../../lib64/libreadline.so: undefined reference to `tgoto'
    /usr/lib/gcc/x86_64-redhat-linux/4.1.2/../../../../lib64/libreadline.so: undefined reference to `tgetnum'
    /usr/lib/gcc/x86_64-redhat-linux/4.1.2/../../../../lib64/libreadline.so: undefined reference to `BC'
    /usr/lib/gcc/x86_64-redhat-linux/4.1.2/../../../../lib64/libreadline.so: undefined reference to `tgetstr'
    collect2: ld returned 1 exit status
    configure:15568: $? = 1
    configure: failed program was:
    | /* confdefs.h */
    | #define PACKAGE_NAME "gdl"
    | #define PACKAGE_TARNAME "gdl"
    | #define PACKAGE_VERSION "0.9.2"
    | #define PACKAGE_STRING "gdl 0.9.2"
    | #define PACKAGE_BUGREPORT ""
    | #define PACKAGE_URL ""
    | #define PACKAGE "gdl"
    | #define VERSION "0.9.2"
    | #define STDC_HEADERS 1
    | #define HAVE_SYS_TYPES_H 1
    | #define HAVE_SYS_STAT_H 1
    | #define HAVE_STDLIB_H 1
    | #define HAVE_STRING_H 1
    | #define HAVE_MEMORY_H 1
    | #define HAVE_STRINGS_H 1
    | #define HAVE_INTTYPES_H 1
    | #define HAVE_STDINT_H 1
    | #define HAVE_UNISTD_H 1
    | #define HAVE_DLFCN_H 1
    | #define LT_OBJDIR ".libs/"
    | #define HAVE_64BIT_OS 1
    | #define HAVE_SBRK 1
    | #define HAVE_MALLINFO 1
    | #define HAVE_MALLOC_H 1
    | #define HAVE_LOCALE_H 1
    | #define HAVE_NEXTTOWARD 1
    | #define HAVE_EXT_STDIO_FILEBUF_H 1
    | /* end confdefs.h.  */
    |
    | /* Override any GCC internal prototype to avoid an error.
    |    Use char because int might match the return type of a GCC
    |    builtin and then its argument prototype would still apply.  */
    | #ifdef __cplusplus
    | extern "C"
    | #endif
    | char stifle_history ();
    | int
    | main ()
    | {
    | return stifle_history ();
    |   ;
    |   return 0;
    | }
    configure:15577: result: no

    ## ----------- ##
    ## Cache variables. ##
    ## ----------- ##

    ac_cv_build=x86_64-unknown-linux-gnu
    ac_cv_c_compiler_gnu=yes
    ac_cv_cxx_compiler_gnu=yes
    ac_cv_env_CCC_set=
    ac_cv_env_CCC_value=
    ac_cv_env_CC_set=
    ac_cv_env_CC_value=
    ac_cv_env_CFLAGS_set=
    ac_cv_env_CFLAGS_value=
    ac_cv_env_CPPFLAGS_set=
    ac_cv_env_CPPFLAGS_value=
    ac_cv_env_CPP_set=
    ac_cv_env_CPP_value=
    ac_cv_env_CXXCPP_set=
    ac_cv_env_CXXCPP_value=
    ac_cv_env_CXXFLAGS_set=
    ac_cv_env_CXXFLAGS_value=
    ac_cv_env_CXX_set=
    ac_cv_env_CXX_value=
    ac_cv_env_LDFLAGS_set=
    ac_cv_env_LDFLAGS_value=
    ac_cv_env_LIBS_set=
    ac_cv_env_LIBS_value=
    ac_cv_env_XMKMF_set=
    ac_cv_env_XMKMF_value=
    ac_cv_env_build_alias_set=
    ac_cv_env_build_alias_value=
    ac_cv_env_host_alias_set=
    ac_cv_env_host_alias_value=
    ac_cv_env_target_alias_set=
    ac_cv_env_target_alias_value=
    ac_cv_func_mallinfo=yes
    ac_cv_func_malloc_zone_statistics=no
    ac_cv_func_nexttoward=yes
    ac_cv_func_sbrk=yes
    ac_cv_header_dlfcn_h=yes
    ac_cv_header_ext_stdio_filebuf_h=yes
    ac_cv_header_inttypes_h=yes
    ac_cv_header_locale_h=yes
    ac_cv_header_malloc_h=yes
    ac_cv_header_malloc_malloc_h=no
    ac_cv_header_memory_h=yes
    ac_cv_header_stdc=yes
    ac_cv_header_stdint_h=yes
    ac_cv_header_stdlib_h=yes
    ac_cv_header_string_h=yes
    ac_cv_header_strings_h=yes
    ac_cv_header_sys_stat_h=yes
    ac_cv_header_sys_types_h=yes
    ac_cv_header_unistd_h=yes
    ac_cv_host=x86_64-unknown-linux-gnu
    ac_cv_lib_curses_initscr=no
    ac_cv_lib_ncurses_initscr=no
    ac_cv_lib_readline_stifle_history=no
    ac_cv_objext=o
    ac_cv_path_EGREP='/bin/grep -E'
    ac_cv_path_FGREP='/bin/grep -F'
    ac_cv_path_GREP=/bin/grep
    ac_cv_path_SED=/bin/sed
    ac_cv_path_install='/usr/bin/install -c'
    ac_cv_path_mkdir=/bin/mkdir
    ac_cv_prog_AWK=gawk
    ac_cv_prog_CPP='gcc -E'
    ac_cv_prog_CXXCPP='g++ -E'
    ac_cv_prog_ac_ct_AR=ar
    ac_cv_prog_ac_ct_CC=gcc
    ac_cv_prog_ac_ct_CXX=g++
    ac_cv_prog_ac_ct_OBJDUMP=objdump
    ac_cv_prog_ac_ct_RANLIB=ranlib
    ac_cv_prog_ac_ct_STRIP=strip
    ac_cv_prog_cc_c89=
    ac_cv_prog_cc_g=yes
    ac_cv_prog_cxx_g=yes
    ac_cv_prog_make_make_set=yes
    ac_cv_search_dlopen=-ldl
    am_cv_CC_dependencies_compiler_type=gcc3
    am_cv_CXX_dependencies_compiler_type=gcc3
    lt_cv_ar_at_file=@
    lt_cv_archive_cmds_need_lc=no
    lt_cv_deplibs_check_method=pass_all
    lt_cv_file_magic_cmd='$MAGIC_CMD'
    lt_cv_file_magic_test_file=
    lt_cv_ld_reload_flag=-r
    lt_cv_nm_interface='BSD nm'
    lt_cv_objdir=.libs
    lt_cv_path_LD=/usr/bin/ld
    lt_cv_path_LDCXX='/usr/bin/ld -m elf_x86_64'
    lt_cv_path_NM='/usr/bin/nm -B'
    lt_cv_path_mainfest_tool=no
    lt_cv_prog_compiler_c_o=yes
    lt_cv_prog_compiler_c_o_CXX=yes
    lt_cv_prog_compiler_pic='-fPIC -DPIC'
    lt_cv_prog_compiler_pic_CXX='-fPIC -DPIC'
    lt_cv_prog_compiler_pic_works=yes
    lt_cv_prog_compiler_pic_works_CXX=yes
    lt_cv_prog_compiler_rtti_exceptions=no
    lt_cv_prog_compiler_static_works=yes
    lt_cv_prog_compiler_static_works_CXX=yes
    lt_cv_prog_gnu_ld=yes
    lt_cv_prog_gnu_ldcxx=yes
    lt_cv_sharedlib_from_linklib_cmd='printf %s\n'
    lt_cv_shlibpath_overrides_runpath=no
    lt_cv_sys_global_symbol_pipe='sed -n -e '\''s/^.*\(*\)*\(*\)$/\1 \2 \2/p'\'' | sed '\''/ __gnu_lto/d'\'''
    lt_cv_sys_global_symbol_to_c_name_address='sed -n -e '\''s/^: \(*\)*$/  {\"\1\", (void *) 0},/p'\'' -e '\''s/^* \(*\) \(*\)$/  {"\2", (void *) \&amp;\2},/p'\'''
    lt_cv_sys_global_symbol_to_c_name_address_lib_prefix='sed -n -e '\''s/^: \(*\)*$/  {\"\1\", (void *) 0},/p'\'' -e '\''s/^* \(*\) \(lib*\)$/  {"\2", (void *) \&amp;\2},/p'\'' -e '\''s/^* \(*\) \(*\)$/  {"lib\2", (void *) \&amp;\2},/p'\'''
    lt_cv_sys_global_symbol_to_cdecl='sed -n -e '\''s/^T .* \(.*\)$/extern int \1();/p'\'' -e '\''s/^* .* \(.*\)$/extern char \1;/p'\'''
    lt_cv_sys_max_cmd_len=98304
    lt_cv_to_host_file_cmd=func_convert_file_noop
    lt_cv_to_tool_file_cmd=func_convert_file_noop

    ## ----------- ##
    ## Output variables. ##
    ## ----------- ##

    ACLOCAL='${SHELL} /home/sbirdev/installs/gdl-0.9.2/missing -run aclocal-1.11'
    AMDEPBACKSLASH='\'
    AMDEP_FALSE='#'
    AMDEP_TRUE=''
    AMTAR='${SHELL} /home/sbirdev/installs/gdl-0.9.2/missing -run tar'
    AR='ar'
    AUTOCONF='${SHELL} /home/sbirdev/installs/gdl-0.9.2/missing -run autoconf'
    AUTOHEADER='${SHELL} /home/sbirdev/installs/gdl-0.9.2/missing -run autoheader'
    AUTOMAKE='${SHELL} /home/sbirdev/installs/gdl-0.9.2/missing -run automake-1.11'
    AWK='gawk'
    BUILDASLIBRARY_FALSE=''
    BUILDASLIBRARY_TRUE='#'
    CC='gcc'
    CCDEPMODE='depmode=gcc3'
    CFLAGS='-g -O3'
    CPP='gcc -E'
    CPPFLAGS=''
    CXX='g++'
    CXXCPP='g++ -E'
    CXXDEPMODE='depmode=gcc3'
    CXXFLAGS='-g -O3'
    CYGPATH_W='echo'
    DARWIN_FALSE=''
    DARWIN_TRUE=''
    DEFS=''
    DEPDIR='.deps'
    DLLTOOL='false'
    DSYMUTIL=''
    DUMPBIN=''
    ECHO_C=''
    ECHO_N='-n'
    ECHO_T=''
    EGREP='/bin/grep -E'
    EXEC_PREFIX=''
    EXEEXT=''
    EXT_INCLUDES=''
    EXT_LIBS=''
    FGREP='/bin/grep -F'
    GDLDATADIR=''
    GREP='/bin/grep'
    HAVE_64BIT_OS=''
    INSTALL_DATA='${INSTALL} -m 644'
    INSTALL_PROGRAM='${INSTALL}'
    INSTALL_SCRIPT='${INSTALL}'
    INSTALL_STRIP_PROGRAM='$(install_sh) -c -s'
    LD='/usr/bin/ld -m elf_x86_64'
    LDFLAGS=''
    LIBOBJS=''
    LIBS='-ldl  -ldl -lreadline'
    LIBTOOL='$(SHELL) $(top_builddir)/libtool'
    LIPO=''
    LN_S='ln -s'
    LTLIBOBJS=''
    MAKEINFO='${SHELL} /home/sbirdev/installs/gdl-0.9.2/missing -run makeinfo'
    MANIFEST_TOOL=':'
    MKDIR_P='/bin/mkdir -p'
    MagickConfig=''
    NM='/usr/bin/nm -B'
    NMEDIT=''
    OBJDUMP='objdump'
    OBJEXT='o'
    OTOOL64=''
    OTOOL=''
    PACKAGE='gdl'
    PACKAGE_BUGREPORT=''
    PACKAGE_NAME='gdl'
    PACKAGE_STRING='gdl 0.9.2'
    PACKAGE_TARNAME='gdl'
    PACKAGE_URL=''
    PACKAGE_VERSION='0.9.2'
    PATH_SEPARATOR=':'
    PYTHON=''
    PYTHON_EXEC_PREFIX=''
    PYTHON_PLATFORM=''
    PYTHON_PREFIX=''
    PYTHON_VERSION=''
    RANLIB='ranlib'
    SED='/bin/sed'
    SET_MAKE=''
    SHELL='/bin/sh'
    STRIP='strip'
    VERSION='0.9.2'
    XMKMF=''
    ac_ct_AR='ar'
    ac_ct_CC='gcc'
    ac_ct_CXX='g++'
    ac_ct_DUMPBIN=''
    am__EXEEXT_FALSE=''
    am__EXEEXT_TRUE=''
    am__fastdepCC_FALSE='#'
    am__fastdepCC_TRUE=''
    am__fastdepCXX_FALSE='#'
    am__fastdepCXX_TRUE=''
    am__include='include'
    am__isrc=''
    am__leading_dot='.'
    am__quote=''
    am__tar='${AMTAR} chof - "$$tardir"'
    am__untar='${AMTAR} xf -'
    bindir='${exec_prefix}/bin'
    build='x86_64-unknown-linux-gnu'
    build_alias=''
    build_cpu='x86_64'
    build_os='linux-gnu'
    build_vendor='unknown'
    datadir='${datarootdir}'
    datarootdir='${prefix}/share'
    docdir='${datarootdir}/doc/${PACKAGE_TARNAME}'
    dvidir='${docdir}'
    exec_prefix='NONE'
    host='x86_64-unknown-linux-gnu'
    host_alias=''
    host_cpu='x86_64'
    host_os='linux-gnu'
    host_vendor='unknown'
    htmldir='${docdir}'
    includedir='${prefix}/include'
    infodir='${datarootdir}/info'
    install_sh='${SHELL} /home/sbirdev/installs/gdl-0.9.2/install-sh'
    libdir='${exec_prefix}/lib'
    libexecdir='${exec_prefix}/libexec'
    localedir='${datarootdir}/locale'
    localstatedir='${prefix}/var'
    mandir='${datarootdir}/man'
    mkdir_p='/bin/mkdir -p'
    nc_config=''
    oldincludedir='/usr/include'
    pdfdir='${docdir}'
    pkgpyexecdir=''
    pkgpythondir=''
    prefix='/home/sbirdev/bin/gdl'
    program_transform_name='s,x,x,'
    psdir='${docdir}'
    pyexecdir=''
    pythondir=''
    sbindir='${exec_prefix}/sbin'
    sharedstatedir='${prefix}/com'
    sysconfdir='${prefix}/etc'
    target_alias=''
    wxConfig=''

    ## ------- ##
    ## confdefs.h. ##
    ## ------- ##

    /* confdefs.h */
    #define PACKAGE_NAME "gdl"
    #define PACKAGE_TARNAME "gdl"
    #define PACKAGE_VERSION "0.9.2"
    #define PACKAGE_STRING "gdl 0.9.2"
    #define PACKAGE_BUGREPORT ""
    #define PACKAGE_URL ""
    #define PACKAGE "gdl"
    #define VERSION "0.9.2"
    #define STDC_HEADERS 1
    #define HAVE_SYS_TYPES_H 1
    #define HAVE_SYS_STAT_H 1
    #define HAVE_STDLIB_H 1
    #define HAVE_STRING_H 1
    #define HAVE_MEMORY_H 1
    #define HAVE_STRINGS_H 1
    #define HAVE_INTTYPES_H 1
    #define HAVE_STDINT_H 1
    #define HAVE_UNISTD_H 1
    #define HAVE_DLFCN_H 1
    #define LT_OBJDIR ".libs/"
    #define HAVE_64BIT_OS 1
    #define HAVE_SBRK 1
    #define HAVE_MALLINFO 1
    #define HAVE_MALLOC_H 1
    #define HAVE_LOCALE_H 1
    #define HAVE_NEXTTOWARD 1
    #define HAVE_EXT_STDIO_FILEBUF_H 1

    configure: exit 255

    Thanks,

    Sean

     
  • That's the relevant part:

    configure:15543: checking for stifle_history in -lreadline
    configure:15568: g++ -o conftest -g -O3   conftest.cpp -lreadline  -ldl  -ldl -lreadline >&5
    /usr/lib/gcc/x86_64-redhat-linux/4.1.2/../../../../lib64/libreadline.so: undefined reference to `PC'
    /usr/lib/gcc/x86_64-redhat-linux/4.1.2/../../../../lib64/libreadline.so: undefined reference to `tgetflag'
    /usr/lib/gcc/x86_64-redhat-linux/4.1.2/../../../../lib64/libreadline.so: undefined reference to `tgetent'
    /usr/lib/gcc/x86_64-redhat-linux/4.1.2/../../../../lib64/libreadline.so: undefined reference to `UP'
    /usr/lib/gcc/x86_64-redhat-linux/4.1.2/../../../../lib64/libreadline.so: undefined reference to `tputs'
    /usr/lib/gcc/x86_64-redhat-linux/4.1.2/../../../../lib64/libreadline.so: undefined reference to `tgoto'
    /usr/lib/gcc/x86_64-redhat-linux/4.1.2/../../../../lib64/libreadline.so: undefined reference to `tgetnum'
    /usr/lib/gcc/x86_64-redhat-linux/4.1.2/../../../../lib64/libreadline.so: undefined reference to `BC'
    /usr/lib/gcc/x86_64-redhat-linux/4.1.2/../../../../lib64/libreadline.so: undefined reference to `tgetstr'
    collect2: ld returned 1 exit status

    Google suggests that
    $ export LDFLAGS=-lcurses
    might help…

    Anyhow, could you try with CMake? We're planning to drop support for the
    autotools-based build after the next release - would be great to know if that
    works with CMake. In short, instead of running "./configure" one has to run
    "cmake ." and then proceed as normal with make.

    Thanks,
    Sylwester

     
  • Sean
    Sean
    2012-03-02

    We did not have the development libraries for ncurses installed.
    ncurses-devel.x86_64

    As soon as we added that, the -lreadline issue disappeared. So thank you for the lcurses suggestion, as it
    lead to our install of ncurses.

    Going forward, installing other dependencies found to be lacking. ( update plplot and HDF4 )

    We did not try CMake yet, I'll update you if we do.  Thanks for your replies!

     
  • Sean
    Sean
    2012-03-05

    Sylwester,

    We had a successful configure, but had a hangup when running make.  Here is the
    output from our make command.

    make  all-recursive
    make: Entering directory `/home/sbirdev/installs/gdl-0.9.2'
    Making all in src
    make: Entering directory `/home/sbirdev/installs/gdl-0.9.2/src'
    Making all in antlr
    make: Entering directory `/home/sbirdev/installs/gdl-0.9.2/src/antlr'
    g++ -DHAVE_CONFIG_H -I. -I../.. -I../../src     -g -O3 -MT libantlr_a-ANTLRUtil.o -MD -MP -MF .deps/libantlr_a-ANTLRUtil.Tpo -c -o libantlr_a-ANTLRUtil.o `test -f 'ANTLRUtil.cpp' || echo './'`ANTLRUtil.cpp
    mv -f .deps/libantlr_a-ANTLRUtil.Tpo .deps/libantlr_a-ANTLRUtil.Po
    g++ -DHAVE_CONFIG_H -I. -I../.. -I../../src     -g -O3 -MT libantlr_a-ASTFactory.o -MD -MP -MF .deps/libantlr_a-ASTFactory.Tpo -c -o libantlr_a-ASTFactory.o `test -f 'ASTFactory.cpp' || echo './'`ASTFactory.cpp
    mv -f .deps/libantlr_a-ASTFactory.Tpo .deps/libantlr_a-ASTFactory.Po
    g++ -DHAVE_CONFIG_H -I. -I../.. -I../../src     -g -O3 -MT libantlr_a-ASTNULLType.o -MD -MP -MF .deps/libantlr_a-ASTNULLType.Tpo -c -o libantlr_a-ASTNULLType.o `test -f 'ASTNULLType.cpp' || echo './'`ASTNULLType.cpp
    mv -f .deps/libantlr_a-ASTNULLType.Tpo .deps/libantlr_a-ASTNULLType.Po
    g++ -DHAVE_CONFIG_H -I. -I../.. -I../../src     -g -O3 -MT libantlr_a-ASTRefCount.o -MD -MP -MF .deps/libantlr_a-ASTRefCount.Tpo -c -o libantlr_a-ASTRefCount.o `test -f 'ASTRefCount.cpp' || echo './'`ASTRefCount.cpp
    mv -f .deps/libantlr_a-ASTRefCount.Tpo .deps/libantlr_a-ASTRefCount.Po
    g++ -DHAVE_CONFIG_H -I. -I../.. -I../../src     -g -O3 -MT libantlr_a-BaseAST.o -MD -MP -MF .deps/libantlr_a-BaseAST.Tpo -c -o libantlr_a-BaseAST.o `test -f 'BaseAST.cpp' || echo './'`BaseAST.cpp
    mv -f .deps/libantlr_a-BaseAST.Tpo .deps/libantlr_a-BaseAST.Po
    g++ -DHAVE_CONFIG_H -I. -I../.. -I../../src     -g -O3 -MT libantlr_a-BitSet.o -MD -MP -MF .deps/libantlr_a-BitSet.Tpo -c -o libantlr_a-BitSet.o `test -f 'BitSet.cpp' || echo './'`BitSet.cpp
    mv -f .deps/libantlr_a-BitSet.Tpo .deps/libantlr_a-BitSet.Po
    g++ -DHAVE_CONFIG_H -I. -I../.. -I../../src     -g -O3 -MT libantlr_a-CharBuffer.o -MD -MP -MF .deps/libantlr_a-CharBuffer.Tpo -c -o libantlr_a-CharBuffer.o `test -f 'CharBuffer.cpp' || echo './'`CharBuffer.cpp
    mv -f .deps/libantlr_a-CharBuffer.Tpo .deps/libantlr_a-CharBuffer.Po
    g++ -DHAVE_CONFIG_H -I. -I../.. -I../../src     -g -O3 -MT libantlr_a-CharScanner.o -MD -MP -MF .deps/libantlr_a-CharScanner.Tpo -c -o libantlr_a-CharScanner.o `test -f 'CharScanner.cpp' || echo './'`CharScanner.cpp
    mv -f .deps/libantlr_a-CharScanner.Tpo .deps/libantlr_a-CharScanner.Po
    g++ -DHAVE_CONFIG_H -I. -I../.. -I../../src     -g -O3 -MT libantlr_a-CommonAST.o -MD -MP -MF .deps/libantlr_a-CommonAST.Tpo -c -o libantlr_a-CommonAST.o `test -f 'CommonAST.cpp' || echo './'`CommonAST.cpp
    mv -f .deps/libantlr_a-CommonAST.Tpo .deps/libantlr_a-CommonAST.Po
    g++ -DHAVE_CONFIG_H -I. -I../.. -I../../src     -g -O3 -MT libantlr_a-CommonASTWithHiddenTokens.o -MD -MP -MF .deps/libantlr_a-CommonASTWithHiddenTokens.Tpo -c -o libantlr_a-CommonASTWithHiddenTokens.o `test -f 'CommonASTWithHiddenTokens.cpp' || echo './'`CommonASTWithHiddenTokens.cpp
    mv -f .deps/libantlr_a-CommonASTWithHiddenTokens.Tpo .deps/libantlr_a-CommonASTWithHiddenTokens.Po
    g++ -DHAVE_CONFIG_H -I. -I../.. -I../../src     -g -O3 -MT libantlr_a-CommonHiddenStreamToken.o -MD -MP -MF .deps/libantlr_a-CommonHiddenStreamToken.Tpo -c -o libantlr_a-CommonHiddenStreamToken.o `test -f 'CommonHiddenStreamToken.cpp' || echo './'`CommonHiddenStreamToken.cpp
    mv -f .deps/libantlr_a-CommonHiddenStreamToken.Tpo .deps/libantlr_a-CommonHiddenStreamToken.Po
    g++ -DHAVE_CONFIG_H -I. -I../.. -I../../src     -g -O3 -MT libantlr_a-CommonToken.o -MD -MP -MF .deps/libantlr_a-CommonToken.Tpo -c -o libantlr_a-CommonToken.o `test -f 'CommonToken.cpp' || echo './'`CommonToken.cpp
    mv -f .deps/libantlr_a-CommonToken.Tpo .deps/libantlr_a-CommonToken.Po
    g++ -DHAVE_CONFIG_H -I. -I../.. -I../../src     -g -O3 -MT libantlr_a-InputBuffer.o -MD -MP -MF .deps/libantlr_a-InputBuffer.Tpo -c -o libantlr_a-InputBuffer.o `test -f 'InputBuffer.cpp' || echo './'`InputBuffer.cpp
    mv -f .deps/libantlr_a-InputBuffer.Tpo .deps/libantlr_a-InputBuffer.Po
    g++ -DHAVE_CONFIG_H -I. -I../.. -I../../src     -g -O3 -MT libantlr_a-LLkParser.o -MD -MP -MF .deps/libantlr_a-LLkParser.Tpo -c -o libantlr_a-LLkParser.o `test -f 'LLkParser.cpp' || echo './'`LLkParser.cpp
    mv -f .deps/libantlr_a-LLkParser.Tpo .deps/libantlr_a-LLkParser.Po
    g++ -DHAVE_CONFIG_H -I. -I../.. -I../../src     -g -O3 -MT libantlr_a-MismatchedCharException.o -MD -MP -MF .deps/libantlr_a-MismatchedCharException.Tpo -c -o libantlr_a-MismatchedCharException.o `test -f 'MismatchedCharException.cpp' || echo './'`MismatchedCharException.cpp
    mv -f .deps/libantlr_a-MismatchedCharException.Tpo .deps/libantlr_a-MismatchedCharException.Po
    g++ -DHAVE_CONFIG_H -I. -I../.. -I../../src     -g -O3 -MT libantlr_a-MismatchedTokenException.o -MD -MP -MF .deps/libantlr_a-MismatchedTokenException.Tpo -c -o libantlr_a-MismatchedTokenException.o `test -f 'MismatchedTokenException.cpp' || echo './'`MismatchedTokenException.cpp
    mv -f .deps/libantlr_a-MismatchedTokenException.Tpo .deps/libantlr_a-MismatchedTokenException.Po
    g++ -DHAVE_CONFIG_H -I. -I../.. -I../../src     -g -O3 -MT libantlr_a-NoViableAltException.o -MD -MP -MF .deps/libantlr_a-NoViableAltException.Tpo -c -o libantlr_a-NoViableAltException.o `test -f 'NoViableAltException.cpp' || echo './'`NoViableAltException.cpp
    mv -f .deps/libantlr_a-NoViableAltException.Tpo .deps/libantlr_a-NoViableAltException.Po
    g++ -DHAVE_CONFIG_H -I. -I../.. -I../../src     -g -O3 -MT libantlr_a-NoViableAltForCharException.o -MD -MP -MF .deps/libantlr_a-NoViableAltForCharException.Tpo -c -o libantlr_a-NoViableAltForCharException.o `test -f 'NoViableAltForCharException.cpp' || echo './'`NoViableAltForCharException.cpp
    mv -f .deps/libantlr_a-NoViableAltForCharException.Tpo .deps/libantlr_a-NoViableAltForCharException.Po
    g++ -DHAVE_CONFIG_H -I. -I../.. -I../../src     -g -O3 -MT libantlr_a-Parser.o -MD -MP -MF .deps/libantlr_a-Parser.Tpo -c -o libantlr_a-Parser.o `test -f 'Parser.cpp' || echo './'`Parser.cpp
    mv -f .deps/libantlr_a-Parser.Tpo .deps/libantlr_a-Parser.Po
    g++ -DHAVE_CONFIG_H -I. -I../.. -I../../src     -g -O3 -MT libantlr_a-RecognitionException.o -MD -MP -MF .deps/libantlr_a-RecognitionException.Tpo -c -o libantlr_a-RecognitionException.o `test -f 'RecognitionException.cpp' || echo './'`RecognitionException.cpp
    mv -f .deps/libantlr_a-RecognitionException.Tpo .deps/libantlr_a-RecognitionException.Po
    g++ -DHAVE_CONFIG_H -I. -I../.. -I../../src     -g -O3 -MT libantlr_a-String.o -MD -MP -MF .deps/libantlr_a-String.Tpo -c -o libantlr_a-String.o `test -f 'String.cpp' || echo './'`String.cpp
    mv -f .deps/libantlr_a-String.Tpo .deps/libantlr_a-String.Po
    g++ -DHAVE_CONFIG_H -I. -I../.. -I../../src     -g -O3 -MT libantlr_a-TokenBuffer.o -MD -MP -MF .deps/libantlr_a-TokenBuffer.Tpo -c -o libantlr_a-TokenBuffer.o `test -f 'TokenBuffer.cpp' || echo './'`TokenBuffer.cpp
    mv -f .deps/libantlr_a-TokenBuffer.Tpo .deps/libantlr_a-TokenBuffer.Po
    g++ -DHAVE_CONFIG_H -I. -I../.. -I../../src     -g -O3 -MT libantlr_a-Token.o -MD -MP -MF .deps/libantlr_a-Token.Tpo -c -o libantlr_a-Token.o `test -f 'Token.cpp' || echo './'`Token.cpp
    mv -f .deps/libantlr_a-Token.Tpo .deps/libantlr_a-Token.Po
    g++ -DHAVE_CONFIG_H -I. -I../.. -I../../src     -g -O3 -MT libantlr_a-TokenStreamBasicFilter.o -MD -MP -MF .deps/libantlr_a-TokenStreamBasicFilter.Tpo -c -o libantlr_a-TokenStreamBasicFilter.o `test -f 'TokenStreamBasicFilter.cpp' || echo './'`TokenStreamBasicFilter.cpp
    mv -f .deps/libantlr_a-TokenStreamBasicFilter.Tpo .deps/libantlr_a-TokenStreamBasicFilter.Po
    g++ -DHAVE_CONFIG_H -I. -I../.. -I../../src     -g -O3 -MT libantlr_a-TokenStreamHiddenTokenFilter.o -MD -MP -MF .deps/libantlr_a-TokenStreamHiddenTokenFilter.Tpo -c -o libantlr_a-TokenStreamHiddenTokenFilter.o `test -f 'TokenStreamHiddenTokenFilter.cpp' || echo './'`TokenStreamHiddenTokenFilter.cpp
    mv -f .deps/libantlr_a-TokenStreamHiddenTokenFilter.Tpo .deps/libantlr_a-TokenStreamHiddenTokenFilter.Po
    g++ -DHAVE_CONFIG_H -I. -I../.. -I../../src     -g -O3 -MT libantlr_a-TokenStreamSelector.o -MD -MP -MF .deps/libantlr_a-TokenStreamSelector.Tpo -c -o libantlr_a-TokenStreamSelector.o `test -f 'TokenStreamSelector.cpp' || echo './'`TokenStreamSelector.cpp
    mv -f .deps/libantlr_a-TokenStreamSelector.Tpo .deps/libantlr_a-TokenStreamSelector.Po
    g++ -DHAVE_CONFIG_H -I. -I../.. -I../../src     -g -O3 -MT libantlr_a-TreeParser.o -MD -MP -MF .deps/libantlr_a-TreeParser.Tpo -c -o libantlr_a-TreeParser.o `test -f 'TreeParser.cpp' || echo './'`TreeParser.cpp
    mv -f .deps/libantlr_a-TreeParser.Tpo .deps/libantlr_a-TreeParser.Po
    rm -f libantlr.a
    ar cru libantlr.a libantlr_a-ANTLRUtil.o libantlr_a-ASTFactory.o libantlr_a-ASTNULLType.o libantlr_a-ASTRefCount.o libantlr_a-BaseAST.o libantlr_a-BitSet.o libantlr_a-CharBuffer.o libantlr_a-CharScanner.o libantlr_a-CommonAST.o libantlr_a-CommonASTWithHiddenTokens.o libantlr_a-CommonHiddenStreamToken.o libantlr_a-CommonToken.o libantlr_a-InputBuffer.o libantlr_a-LLkParser.o libantlr_a-MismatchedCharException.o libantlr_a-MismatchedTokenException.o libantlr_a-NoViableAltException.o libantlr_a-NoViableAltForCharException.o libantlr_a-Parser.o libantlr_a-RecognitionException.o libantlr_a-String.o libantlr_a-TokenBuffer.o libantlr_a-Token.o libantlr_a-TokenStreamBasicFilter.o libantlr_a-TokenStreamHiddenTokenFilter.o libantlr_a-TokenStreamSelector.o libantlr_a-TreeParser.o
    ranlib libantlr.a
    make: Leaving directory `/home/sbirdev/installs/gdl-0.9.2/src/antlr'
    Making all in pro
    make: Entering directory `/home/sbirdev/installs/gdl-0.9.2/src/pro'
    Making all in dicom
    make: Entering directory `/home/sbirdev/installs/gdl-0.9.2/src/pro/dicom'
    make: Nothing to be done for `all'.
    make: Leaving directory `/home/sbirdev/installs/gdl-0.9.2/src/pro/dicom'
    make: Entering directory `/home/sbirdev/installs/gdl-0.9.2/src/pro'
    make: Nothing to be done for `all-am'.
    make: Leaving directory `/home/sbirdev/installs/gdl-0.9.2/src/pro'
    make: Leaving directory `/home/sbirdev/installs/gdl-0.9.2/src/pro'
    make: Entering directory `/home/sbirdev/installs/gdl-0.9.2/src'
    g++ -DHAVE_CONFIG_H -I. -I.. -I/usr/lib64/wx/include/gtk2-unicode-release-2.8 -I/usr/include/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXGTK__ -pthread   -I/usr/include/netcdf-3 -I/usr/local/installs/hdf-4.2.7//include -I/usr/local/installs/hdf-4.2.7//include/hdf -I/usr/include/hdf -I/usr/include/hdf5 -I/usr/include/python2.4 -I/usr/lib64/python2.4/site-packages/numpy/core/include -I/usr/include     -g -O3 -MT gdl-allix.o -MD -MP -MF .deps/gdl-allix.Tpo -c -o gdl-allix.o `test -f 'allix.cpp' || echo './'`allix.cpp
    mv -f .deps/gdl-allix.Tpo .deps/gdl-allix.Po
    g++ -DHAVE_CONFIG_H -I. -I.. -I/usr/lib64/wx/include/gtk2-unicode-release-2.8 -I/usr/include/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXGTK__ -pthread   -I/usr/include/netcdf-3 -I/usr/local/installs/hdf-4.2.7//include -I/usr/local/installs/hdf-4.2.7//include/hdf -I/usr/include/hdf -I/usr/include/hdf5 -I/usr/include/python2.4 -I/usr/lib64/python2.4/site-packages/numpy/core/include -I/usr/include     -g -O3 -MT gdl-assocdata.o -MD -MP -MF .deps/gdl-assocdata.Tpo -c -o gdl-assocdata.o `test -f 'assocdata.cpp' || echo './'`assocdata.cpp
    mv -f .deps/gdl-assocdata.Tpo .deps/gdl-assocdata.Po
    g++ -DHAVE_CONFIG_H -I. -I.. -I/usr/lib64/wx/include/gtk2-unicode-release-2.8 -I/usr/include/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXGTK__ -pthread   -I/usr/include/netcdf-3 -I/usr/local/installs/hdf-4.2.7//include -I/usr/local/installs/hdf-4.2.7//include/hdf -I/usr/include/hdf -I/usr/include/hdf5 -I/usr/include/python2.4 -I/usr/lib64/python2.4/site-packages/numpy/core/include -I/usr/include     -g -O3 -MT gdl-basic_fun_cl.o -MD -MP -MF .deps/gdl-basic_fun_cl.Tpo -c -o gdl-basic_fun_cl.o `test -f 'basic_fun_cl.cpp' || echo './'`basic_fun_cl.cpp
    mv -f .deps/gdl-basic_fun_cl.Tpo .deps/gdl-basic_fun_cl.Po
    g++ -DHAVE_CONFIG_H -I. -I.. -I/usr/lib64/wx/include/gtk2-unicode-release-2.8 -I/usr/include/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXGTK__ -pthread   -I/usr/include/netcdf-3 -I/usr/local/installs/hdf-4.2.7//include -I/usr/local/installs/hdf-4.2.7//include/hdf -I/usr/include/hdf -I/usr/include/hdf5 -I/usr/include/python2.4 -I/usr/lib64/python2.4/site-packages/numpy/core/include -I/usr/include     -g -O3 -MT gdl-basic_fun.o -MD -MP -MF .deps/gdl-basic_fun.Tpo -c -o gdl-basic_fun.o `test -f 'basic_fun.cpp' || echo './'`basic_fun.cpp
    mv -f .deps/gdl-basic_fun.Tpo .deps/gdl-basic_fun.Po
    g++ -DHAVE_CONFIG_H -I. -I.. -I/usr/lib64/wx/include/gtk2-unicode-release-2.8 -I/usr/include/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXGTK__ -pthread   -I/usr/include/netcdf-3 -I/usr/local/installs/hdf-4.2.7//include -I/usr/local/installs/hdf-4.2.7//include/hdf -I/usr/include/hdf -I/usr/include/hdf5 -I/usr/include/python2.4 -I/usr/lib64/python2.4/site-packages/numpy/core/include -I/usr/include     -g -O3 -MT gdl-basic_fun_jmg.o -MD -MP -MF .deps/gdl-basic_fun_jmg.Tpo -c -o gdl-basic_fun_jmg.o `test -f 'basic_fun_jmg.cpp' || echo './'`basic_fun_jmg.cpp
    mv -f .deps/gdl-basic_fun_jmg.Tpo .deps/gdl-basic_fun_jmg.Po
    g++ -DHAVE_CONFIG_H -I. -I.. -I/usr/lib64/wx/include/gtk2-unicode-release-2.8 -I/usr/include/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXGTK__ -pthread   -I/usr/include/netcdf-3 -I/usr/local/installs/hdf-4.2.7//include -I/usr/local/installs/hdf-4.2.7//include/hdf -I/usr/include/hdf -I/usr/include/hdf5 -I/usr/include/python2.4 -I/usr/lib64/python2.4/site-packages/numpy/core/include -I/usr/include     -g -O3 -MT gdl-basic_op.o -MD -MP -MF .deps/gdl-basic_op.Tpo -c -o gdl-basic_op.o `test -f 'basic_op.cpp' || echo './'`basic_op.cpp
    mv -f .deps/gdl-basic_op.Tpo .deps/gdl-basic_op.Po
    g++ -DHAVE_CONFIG_H -I. -I.. -I/usr/lib64/wx/include/gtk2-unicode-release-2.8 -I/usr/include/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXGTK__ -pthread   -I/usr/include/netcdf-3 -I/usr/local/installs/hdf-4.2.7//include -I/usr/local/installs/hdf-4.2.7//include/hdf -I/usr/include/hdf -I/usr/include/hdf5 -I/usr/include/python2.4 -I/usr/lib64/python2.4/site-packages/numpy/core/include -I/usr/include     -g -O3 -MT gdl-basic_op_new.o -MD -MP -MF .deps/gdl-basic_op_new.Tpo -c -o gdl-basic_op_new.o `test -f 'basic_op_new.cpp' || echo './'`basic_op_new.cpp
    mv -f .deps/gdl-basic_op_new.Tpo .deps/gdl-basic_op_new.Po
    g++ -DHAVE_CONFIG_H -I. -I.. -I/usr/lib64/wx/include/gtk2-unicode-release-2.8 -I/usr/include/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXGTK__ -pthread   -I/usr/include/netcdf-3 -I/usr/local/installs/hdf-4.2.7//include -I/usr/local/installs/hdf-4.2.7//include/hdf -I/usr/include/hdf -I/usr/include/hdf5 -I/usr/include/python2.4 -I/usr/lib64/python2.4/site-packages/numpy/core/include -I/usr/include     -g -O3 -MT gdl-basic_pro.o -MD -MP -MF .deps/gdl-basic_pro.Tpo -c -o gdl-basic_pro.o `test -f 'basic_pro.cpp' || echo './'`basic_pro.cpp
    mv -f .deps/gdl-basic_pro.Tpo .deps/gdl-basic_pro.Po
    g++ -DHAVE_CONFIG_H -I. -I.. -I/usr/lib64/wx/include/gtk2-unicode-release-2.8 -I/usr/include/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXGTK__ -pthread   -I/usr/include/netcdf-3 -I/usr/local/installs/hdf-4.2.7//include -I/usr/local/installs/hdf-4.2.7//include/hdf -I/usr/include/hdf -I/usr/include/hdf5 -I/usr/include/python2.4 -I/usr/lib64/python2.4/site-packages/numpy/core/include -I/usr/include     -g -O3 -MT gdl-basic_pro_jmg.o -MD -MP -MF .deps/gdl-basic_pro_jmg.Tpo -c -o gdl-basic_pro_jmg.o `test -f 'basic_pro_jmg.cpp' || echo './'`basic_pro_jmg.cpp
    basic_pro_jmg.cpp: In function ‘void lib::wait(EnvT*)’:
    basic_pro_jmg.cpp:189: warning: converting to ‘__time_t’ from ‘double’
    basic_pro_jmg.cpp:190: warning: converting to ‘long int’ from ‘DDouble’
    mv -f .deps/gdl-basic_pro_jmg.Tpo .deps/gdl-basic_pro_jmg.Po
    g++ -DHAVE_CONFIG_H -I. -I.. -I/usr/lib64/wx/include/gtk2-unicode-release-2.8 -I/usr/include/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXGTK__ -pthread   -I/usr/include/netcdf-3 -I/usr/local/installs/hdf-4.2.7//include -I/usr/local/installs/hdf-4.2.7//include/hdf -I/usr/include/hdf -I/usr/include/hdf5 -I/usr/include/python2.4 -I/usr/lib64/python2.4/site-packages/numpy/core/include -I/usr/include     -g -O3 -MT gdl-CFMTLexer.o -MD -MP -MF .deps/gdl-CFMTLexer.Tpo -c -o gdl-CFMTLexer.o `test -f 'CFMTLexer.cpp' || echo './'`CFMTLexer.cpp
    mv -f .deps/gdl-CFMTLexer.Tpo .deps/gdl-CFMTLexer.Po
    g++ -DHAVE_CONFIG_H -I. -I.. -I/usr/lib64/wx/include/gtk2-unicode-release-2.8 -I/usr/include/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXGTK__ -pthread   -I/usr/include/netcdf-3 -I/usr/local/installs/hdf-4.2.7//include -I/usr/local/installs/hdf-4.2.7//include/hdf -I/usr/include/hdf -I/usr/include/hdf5 -I/usr/include/python2.4 -I/usr/lib64/python2.4/site-packages/numpy/core/include -I/usr/include     -g -O3 -MT gdl-color.o -MD -MP -MF .deps/gdl-color.Tpo -c -o gdl-color.o `test -f 'color.cpp' || echo './'`color.cpp
    mv -f .deps/gdl-color.Tpo .deps/gdl-color.Po
    g++ -DHAVE_CONFIG_H -I. -I.. -I/usr/lib64/wx/include/gtk2-unicode-release-2.8 -I/usr/include/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXGTK__ -pthread   -I/usr/include/netcdf-3 -I/usr/local/installs/hdf-4.2.7//include -I/usr/local/installs/hdf-4.2.7//include/hdf -I/usr/include/hdf -I/usr/include/hdf5 -I/usr/include/python2.4 -I/usr/lib64/python2.4/site-packages/numpy/core/include -I/usr/include     -g -O3 -MT gdl-convert2.o -MD -MP -MF .deps/gdl-convert2.Tpo -c -o gdl-convert2.o `test -f 'convert2.cpp' || echo './'`convert2.cpp
    mv -f .deps/gdl-convert2.Tpo .deps/gdl-convert2.Po
    g++ -DHAVE_CONFIG_H -I. -I.. -I/usr/lib64/wx/include/gtk2-unicode-release-2.8 -I/usr/include/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXGTK__ -pthread   -I/usr/include/netcdf-3 -I/usr/local/installs/hdf-4.2.7//include -I/usr/local/installs/hdf-4.2.7//include/hdf -I/usr/include/hdf -I/usr/include/hdf5 -I/usr/include/python2.4 -I/usr/lib64/python2.4/site-packages/numpy/core/include -I/usr/include     -g -O3 -MT gdl-datatypes.o -MD -MP -MF .deps/gdl-datatypes.Tpo -c -o gdl-datatypes.o `test -f 'datatypes.cpp' || echo './'`datatypes.cpp
    datatypes.cpp: In member function ‘int Data_< <template-parameter-1-1> >::Scalar2index(SizeT&) const ’:
    datatypes.cpp:5135:   instantiated from here
    datatypes.cpp:1965: warning: comparison is always false due to limited range of data type
    datatypes.cpp: In member function ‘int Data_< <template-parameter-1-1> >::Scalar2index(SizeT&) const ’:
    datatypes.cpp:5137:   instantiated from here
    datatypes.cpp:1965: warning: comparison is always false due to limited range of data type
    basic_op.cpp: In function ‘T pow(T, T) ’:
    basic_op.cpp:3866:   instantiated from ‘Data_<Sp2>* Data_< <template-parameter-1-1> >::Pow(BaseGDL*) ’
    datatypes.cpp:5135:   instantiated from here
    basic_op.cpp:3831: warning: comparison is always false due to limited range of data type
    basic_op.cpp: In function ‘T pow(T, T) ’:
    basic_op.cpp:3866:   instantiated from ‘Data_<Sp2>* Data_< <template-parameter-1-1> >::Pow(BaseGDL*) ’
    datatypes.cpp:5137:   instantiated from here
    basic_op.cpp:3831: warning: comparison is always false due to limited range of data type
    mv -f .deps/gdl-datatypes.Tpo .deps/gdl-datatypes.Po
    g++ -DHAVE_CONFIG_H -I. -I.. -I/usr/lib64/wx/include/gtk2-unicode-release-2.8 -I/usr/include/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXGTK__ -pthread   -I/usr/include/netcdf-3 -I/usr/local/installs/hdf-4.2.7//include -I/usr/local/installs/hdf-4.2.7//include/hdf -I/usr/include/hdf -I/usr/include/hdf5 -I/usr/include/python2.4 -I/usr/lib64/python2.4/site-packages/numpy/core/include -I/usr/include     -g -O3 -MT gdl-dcommon.o -MD -MP -MF .deps/gdl-dcommon.Tpo -c -o gdl-dcommon.o `test -f 'dcommon.cpp' || echo './'`dcommon.cpp
    mv -f .deps/gdl-dcommon.Tpo .deps/gdl-dcommon.Po
    g++ -DHAVE_CONFIG_H -I. -I.. -I/usr/lib64/wx/include/gtk2-unicode-release-2.8 -I/usr/include/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXGTK__ -pthread   -I/usr/include/netcdf-3 -I/usr/local/installs/hdf-4.2.7//include -I/usr/local/installs/hdf-4.2.7//include/hdf -I/usr/include/hdf -I/usr/include/hdf5 -I/usr/include/python2.4 -I/usr/lib64/python2.4/site-packages/numpy/core/include -I/usr/include     -g -O3 -MT gdl-dcompiler.o -MD -MP -MF .deps/gdl-dcompiler.Tpo -c -o gdl-dcompiler.o `test -f 'dcompiler.cpp' || echo './'`dcompiler.cpp
    mv -f .deps/gdl-dcompiler.Tpo .deps/gdl-dcompiler.Po
    g++ -DHAVE_CONFIG_H -I. -I.. -I/usr/lib64/wx/include/gtk2-unicode-release-2.8 -I/usr/include/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXGTK__ -pthread   -I/usr/include/netcdf-3 -I/usr/local/installs/hdf-4.2.7//include -I/usr/local/installs/hdf-4.2.7//include/hdf -I/usr/include/hdf -I/usr/include/hdf5 -I/usr/include/python2.4 -I/usr/lib64/python2.4/site-packages/numpy/core/include -I/usr/include     -g -O3 -MT gdl-default_io.o -MD -MP -MF .deps/gdl-default_io.Tpo -c -o gdl-default_io.o `test -f 'default_io.cpp' || echo './'`default_io.cpp
    mv -f .deps/gdl-default_io.Tpo .deps/gdl-default_io.Po
    g++ -DHAVE_CONFIG_H -I. -I.. -I/usr/lib64/wx/include/gtk2-unicode-release-2.8 -I/usr/include/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXGTK__ -pthread   -I/usr/include/netcdf-3 -I/usr/local/installs/hdf-4.2.7//include -I/usr/local/installs/hdf-4.2.7//include/hdf -I/usr/include/hdf -I/usr/include/hdf5 -I/usr/include/python2.4 -I/usr/lib64/python2.4/site-packages/numpy/core/include -I/usr/include     -g -O3 -MT gdl-dinterpreter.o -MD -MP -MF .deps/gdl-dinterpreter.Tpo -c -o gdl-dinterpreter.o `test -f 'dinterpreter.cpp' || echo './'`dinterpreter.cpp
    mv -f .deps/gdl-dinterpreter.Tpo .deps/gdl-dinterpreter.Po
    g++ -DHAVE_CONFIG_H -I. -I.. -I/usr/lib64/wx/include/gtk2-unicode-release-2.8 -I/usr/include/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXGTK__ -pthread   -I/usr/include/netcdf-3 -I/usr/local/installs/hdf-4.2.7//include -I/usr/local/installs/hdf-4.2.7//include/hdf -I/usr/include/hdf -I/usr/include/hdf5 -I/usr/include/python2.4 -I/usr/lib64/python2.4/site-packages/numpy/core/include -I/usr/include     -g -O3 -MT gdl-dnode.o -MD -MP -MF .deps/gdl-dnode.Tpo -c -o gdl-dnode.o `test -f 'dnode.cpp' || echo './'`dnode.cpp
    mv -f .deps/gdl-dnode.Tpo .deps/gdl-dnode.Po
    g++ -DHAVE_CONFIG_H -I. -I.. -I/usr/lib64/wx/include/gtk2-unicode-release-2.8 -I/usr/include/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXGTK__ -pthread   -I/usr/include/netcdf-3 -I/usr/local/installs/hdf-4.2.7//include -I/usr/local/installs/hdf-4.2.7//include/hdf -I/usr/include/hdf -I/usr/include/hdf5 -I/usr/include/python2.4 -I/usr/lib64/python2.4/site-packages/numpy/core/include -I/usr/include     -g -O3 -MT gdl-dpro.o -MD -MP -MF .deps/gdl-dpro.Tpo -c -o gdl-dpro.o `test -f 'dpro.cpp' || echo './'`dpro.cpp
    mv -f .deps/gdl-dpro.Tpo .deps/gdl-dpro.Po
    g++ -DHAVE_CONFIG_H -I. -I.. -I/usr/lib64/wx/include/gtk2-unicode-release-2.8 -I/usr/include/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXGTK__ -pthread   -I/usr/include/netcdf-3 -I/usr/local/installs/hdf-4.2.7//include -I/usr/local/installs/hdf-4.2.7//include/hdf -I/usr/include/hdf -I/usr/include/hdf5 -I/usr/include/python2.4 -I/usr/lib64/python2.4/site-packages/numpy/core/include -I/usr/include     -g -O3 -MT gdl-dstructdesc.o -MD -MP -MF .deps/gdl-dstructdesc.Tpo -c -o gdl-dstructdesc.o `test -f 'dstructdesc.cpp' || echo './'`dstructdesc.cpp
    mv -f .deps/gdl-dstructdesc.Tpo .deps/gdl-dstructdesc.Po
    g++ -DHAVE_CONFIG_H -I. -I.. -I/usr/lib64/wx/include/gtk2-unicode-release-2.8 -I/usr/include/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXGTK__ -pthread   -I/usr/include/netcdf-3 -I/usr/local/installs/hdf-4.2.7//include -I/usr/local/installs/hdf-4.2.7//include/hdf -I/usr/include/hdf -I/usr/include/hdf5 -I/usr/include/python2.4 -I/usr/lib64/python2.4/site-packages/numpy/core/include -I/usr/include     -g -O3 -MT gdl-dstructgdl.o -MD -MP -MF .deps/gdl-dstructgdl.Tpo -c -o gdl-dstructgdl.o `test -f 'dstructgdl.cpp' || echo './'`dstructgdl.cpp
    mv -f .deps/gdl-dstructgdl.Tpo .deps/gdl-dstructgdl.Po
    g++ -DHAVE_CONFIG_H -I. -I.. -I/usr/lib64/wx/include/gtk2-unicode-release-2.8 -I/usr/include/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXGTK__ -pthread   -I/usr/include/netcdf-3 -I/usr/local/installs/hdf-4.2.7//include -I/usr/local/installs/hdf-4.2.7//include/hdf -I/usr/include/hdf -I/usr/include/hdf5 -I/usr/include/python2.4 -I/usr/lib64/python2.4/site-packages/numpy/core/include -I/usr/include     -g -O3 -MT gdl-dvar.o -MD -MP -MF .deps/gdl-dvar.Tpo -c -o gdl-dvar.o `test -f 'dvar.cpp' || echo './'`dvar.cpp
    mv -f .deps/gdl-dvar.Tpo .deps/gdl-dvar.Po
    g++ -DHAVE_CONFIG_H -I. -I.. -I/usr/lib64/wx/include/gtk2-unicode-release-2.8 -I/usr/include/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXGTK__ -pthread   -I/usr/include/netcdf-3 -I/usr/local/installs/hdf-4.2.7//include -I/usr/local/installs/hdf-4.2.7//include/hdf -I/usr/include/hdf -I/usr/include/hdf5 -I/usr/include/python2.4 -I/usr/lib64/python2.4/site-packages/numpy/core/include -I/usr/include     -g -O3 -MT gdl-envt.o -MD -MP -MF .deps/gdl-envt.Tpo -c -o gdl-envt.o `test -f 'envt.cpp' || echo './'`envt.cpp
    mv -f .deps/gdl-envt.Tpo .deps/gdl-envt.Po
    g++ -DHAVE_CONFIG_H -I. -I.. -I/usr/lib64/wx/include/gtk2-unicode-release-2.8 -I/usr/include/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXGTK__ -pthread   -I/usr/include/netcdf-3 -I/usr/local/installs/hdf-4.2.7//include -I/usr/local/installs/hdf-4.2.7//include/hdf -I/usr/include/hdf -I/usr/include/hdf5 -I/usr/include/python2.4 -I/usr/lib64/python2.4/site-packages/numpy/core/include -I/usr/include     -g -O3 -MT gdl-extrat.o -MD -MP -MF .deps/gdl-extrat.Tpo -c -o gdl-extrat.o `test -f 'extrat.cpp' || echo './'`extrat.cpp
    mv -f .deps/gdl-extrat.Tpo .deps/gdl-extrat.Po
    g++ -DHAVE_CONFIG_H -I. -I.. -I/usr/lib64/wx/include/gtk2-unicode-release-2.8 -I/usr/include/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXGTK__ -pthread   -I/usr/include/netcdf-3 -I/usr/local/installs/hdf-4.2.7//include -I/usr/local/installs/hdf-4.2.7//include/hdf -I/usr/include/hdf -I/usr/include/hdf5 -I/usr/include/python2.4 -I/usr/lib64/python2.4/site-packages/numpy/core/include -I/usr/include     -g -O3 -MT gdl-FMTIn.o -MD -MP -MF .deps/gdl-FMTIn.Tpo -c -o gdl-FMTIn.o `test -f 'FMTIn.cpp' || echo './'`FMTIn.cpp
    mv -f .deps/gdl-FMTIn.Tpo .deps/gdl-FMTIn.Po
    g++ -DHAVE_CONFIG_H -I. -I.. -I/usr/lib64/wx/include/gtk2-unicode-release-2.8 -I/usr/include/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXGTK__ -pthread   -I/usr/include/netcdf-3 -I/usr/local/installs/hdf-4.2.7//include -I/usr/local/installs/hdf-4.2.7//include/hdf -I/usr/include/hdf -I/usr/include/hdf5 -I/usr/include/python2.4 -I/usr/lib64/python2.4/site-packages/numpy/core/include -I/usr/include     -g -O3 -MT gdl-FMTLexer.o -MD -MP -MF .deps/gdl-FMTLexer.Tpo -c -o gdl-FMTLexer.o `test -f 'FMTLexer.cpp' || echo './'`FMTLexer.cpp
    mv -f .deps/gdl-FMTLexer.Tpo .deps/gdl-FMTLexer.Po
    g++ -DHAVE_CONFIG_H -I. -I.. -I/usr/lib64/wx/include/gtk2-unicode-release-2.8 -I/usr/include/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXGTK__ -pthread   -I/usr/include/netcdf-3 -I/usr/local/installs/hdf-4.2.7//include -I/usr/local/installs/hdf-4.2.7//include/hdf -I/usr/include/hdf -I/usr/include/hdf5 -I/usr/include/python2.4 -I/usr/lib64/python2.4/site-packages/numpy/core/include -I/usr/include     -g -O3 -MT gdl-fmtnode.o -MD -MP -MF .deps/gdl-fmtnode.Tpo -c -o gdl-fmtnode.o `test -f 'fmtnode.cpp' || echo './'`fmtnode.cpp
    mv -f .deps/gdl-fmtnode.Tpo .deps/gdl-fmtnode.Po
    g++ -DHAVE_CONFIG_H -I. -I.. -I/usr/lib64/wx/include/gtk2-unicode-release-2.8 -I/usr/include/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXGTK__ -pthread   -I/usr/include/netcdf-3 -I/usr/local/installs/hdf-4.2.7//include -I/usr/local/installs/hdf-4.2.7//include/hdf -I/usr/include/hdf -I/usr/include/hdf5 -I/usr/include/python2.4 -I/usr/lib64/python2.4/site-packages/numpy/core/include -I/usr/include     -g -O3 -MT gdl-FMTOut.o -MD -MP -MF .deps/gdl-FMTOut.Tpo -c -o gdl-FMTOut.o `test -f 'FMTOut.cpp' || echo './'`FMTOut.cpp
    mv -f .deps/gdl-FMTOut.Tpo .deps/gdl-FMTOut.Po
    g++ -DHAVE_CONFIG_H -I. -I.. -I/usr/lib64/wx/include/gtk2-unicode-release-2.8 -I/usr/include/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXGTK__ -pthread   -I/usr/include/netcdf-3 -I/usr/local/installs/hdf-4.2.7//include -I/usr/local/installs/hdf-4.2.7//include/hdf -I/usr/include/hdf -I/usr/include/hdf5 -I/usr/include/python2.4 -I/usr/lib64/python2.4/site-packages/numpy/core/include -I/usr/include     -g -O3 -MT gdl-FMTParser.o -MD -MP -MF .deps/gdl-FMTParser.Tpo -c -o gdl-FMTParser.o `test -f 'FMTParser.cpp' || echo './'`FMTParser.cpp
    mv -f .deps/gdl-FMTParser.Tpo .deps/gdl-FMTParser.Po
    g++ -DHAVE_CONFIG_H -I. -I.. -I/usr/lib64/wx/include/gtk2-unicode-release-2.8 -I/usr/include/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXGTK__ -pthread   -I/usr/include/netcdf-3 -I/usr/local/installs/hdf-4.2.7//include -I/usr/local/installs/hdf-4.2.7//include/hdf -I/usr/include/hdf -I/usr/include/hdf5 -I/usr/include/python2.4 -I/usr/lib64/python2.4/site-packages/numpy/core/include -I/usr/include     -g -O3 -MT gdl-gdleventhandler.o -MD -MP -MF .deps/gdl-gdleventhandler.Tpo -c -o gdl-gdleventhandler.o `test -f 'gdleventhandler.cpp' || echo './'`gdleventhandler.cpp
    gdlgstream.hpp: In static member function ‘static bool GDLGStream::checkPlplotDriver(const char*)’:
    gdlgstream.hpp:97: error: invalid conversion from ‘const char***’ to ‘char***’
    gdlgstream.hpp:97: error:   initializing argument 1 of ‘void plgDevs(char***, char***, int*)’
    gdlgstream.hpp:97: error: invalid conversion from ‘const char***’ to ‘char***’
    gdlgstream.hpp:97: error:   initializing argument 2 of ‘void plgDevs(char***, char***, int*)’
    make: ***  Error 1
    make: Leaving directory `/home/sbirdev/installs/gdl-0.9.2/src'
    make: ***  Error 1
    make: Leaving directory `/home/sbirdev/installs/gdl-0.9.2/src'
    make: ***  Error 1
    make: Leaving directory `/home/sbirdev/installs/gdl-0.9.2'
    make: ***  Error 2

    If you require the config.log, let me know, and I can post that as well.

    Sean

     
  • Which version of plplot do you have? If it's an old one, please try upgrading it or use the -enable-oldplplot option for the configure script (we plan to drop support for very old plplot versions soon).
    HTH,
    Sylwester

     
  • Alain C.
    Alain C.
    2012-03-07

    I wrote few days ago a tuto for installation of GDL 0.9.2 on "old" CentOS 5.7 with recent plplot 5.9.3
    and recent ImageMagick (its seems to me it may be relevant for you)
    http://aramis.obspm.fr/~coulais/IDL_et_GDL/GDLonCentOS_5.7.html

    HTH

    Alain

     
  • Hi All,
    I am also getting the same error,
    ##############################################################
    /usr/include/features.h:166:0: note: this is the location of the previous definition
    Building CXX object src/CMakeFiles/gdl.dir/prognodeexpr.cpp.o
    Building CXX object src/CMakeFiles/gdl.dir/read.cpp.o
    Building CXX object src/CMakeFiles/gdl.dir/semshm.cpp.o
    Building CXX object src/CMakeFiles/gdl.dir/sigfpehandler.cpp.o
    Building CXX object src/CMakeFiles/gdl.dir/str.cpp.o
    Building CXX object src/CMakeFiles/gdl.dir/terminfo.cpp.o
    Building CXX object src/CMakeFiles/gdl.dir/topython.cpp.o
    Building CXX object src/CMakeFiles/gdl.dir/typetraits.cpp.o
    Building CXX object src/CMakeFiles/gdl.dir/widget.cpp.o
    Building CXX object src/CMakeFiles/gdl.dir/gdl.cpp.o
    Linking CXX executable gdl
    /usr/local/lib/libreadline.so: undefined reference to `tgetstr'
    /usr/local/lib/libreadline.so: undefined reference to `BC'
    /usr/local/lib/libreadline.so: undefined reference to `tgetnum'
    /usr/local/lib/libreadline.so: undefined reference to `PC'
    /usr/local/lib/libreadline.so: undefined reference to `tputs'
    /usr/local/lib/libreadline.so: undefined reference to `tgetent'
    /usr/local/lib/libreadline.so: undefined reference to `tgetflag'
    /usr/local/lib/libreadline.so: undefined reference to `tgoto'
    /usr/local/lib/libreadline.so: undefined reference to `UP'
    collect2: ld returned 1 exit status
    make: ***  Error 1
    make: ***  Error 2
    make: ***  Error 2
    ########################################################

    beside trying all the above I also tried to install the ncurses and readline in aspecific location and tried setting the LD_LIBRARY_PATH, but problrm doesn't solved.
    After that I used apt-get and install the missing dependency during compilation.  I am using "Ubuntu 12.4 x86" with glibc version 2.15.

    I am requesting everyone to put a step by step point to configure and install the gdl. I am really trying hard from two weeks to get it done.
    Any help will be apprecialble,
    Thanks.

     
  • Alain C.
    Alain C.
    2012-08-14

    I compiled without real trouble on Ubuntu 12.04 a quasi complete GDL:
    ./configure -without-hdf5

    (don't forgot to make "autoreconf -vfi" and to change the line AM_INIT_AUTOMAKE(color-tests) into AM_INIT_AUTOMAKE in configure.in

    do you have
    libreadline-dev or libreadline6-dev
    libncurses5-dev

    on probleme with the packaging system is we may have or not the dev libs. depending the way we use the computer. If for heavy developping, we have a large amount of lib-del we install before or for other projects
    and forgot which ones !

    and when I ask for one specific lib dev, Ubuntu may need to install a large set of related libs …

    I also have:
    libfftw3-dev, libgsl0-dev, plplot11-driver-xwin , libplplot-dev,

    libwxbase2.8-dev, wx2.8-headers, wx-common, libwxbase2.8-dev … but I do not remember the mandatory ones
    for the widgets !

    Bon courage !

    Alain

     
  • Hi Alan,

    I have few queries,
    1. You mentioned to use,
    "/configure -without-hdf5 (don't forgot to make "autoreconf -vfi" and to change the line AM_INIT_AUTOMAKE(color-tests) into AM_INIT_AUTOMAKE in configure.in"
      any specific reason to follow the above, anyway I will try that.

    2. I checked the mentioned libraries, as I rememer I have installed the latest version of all of them. I will recheck them once more.

    I will helpful for me if you can provide a step by step to install the gdl, in between if any dependency is missing i will take care of that.

    Thanks,

     
  • Alain C.
    Alain C.
    2012-08-15

    but if you just would like to install "a" pre-compiled version of GDL under ubuntu 12.04, we do have the 0.9.2, thanks to packagers: apt-get install gnudatalanguage
    (you may need to add the plplot-xwin-driver to have the X11 plotting)

    Alain